﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="DefinicionComposiciones.aspx.cs" Inherits="Seven.Front.Settings.DefinicionComposiciones" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("DefinicionComposiciones") %></title>
    
    <script type="text/javascript">

        var HeaderTable  = <%=L.LBL("LblFDKSTipoTemporadas") %>;

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* Código del Grid #1 : Régimen de Alojamiento */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetExpresionesRalo',
                data: { "id_expre": $('#HidEXIdExpre').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: GetData,
                height: 155,
                width: 400,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        $('#TablaGrid').jqGrid('editRow', id, true);
                        lastsel2 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        //$('#TablaGrid').jqGrid('setSelection', id);
                        $('#cbUsaRalo').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i <= rows.length; i++)
                    { 
                        var elem  = $("#TablaGrid").getCell(rows[i],"Id");
                        var status  = $("#TablaGrid").getCell(rows[i],"Eli");

                        if(parseInt(status) == 1)
                        {
                            $("#TablaGrid").setSelection(elem, true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Código del Grid #2 : Monedas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData2() {
            $.ajax({
                url: 'Servicio.svc/GetExpresionesMone',
                data: { "id_expre": $('#HidEXIdExpre').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid2")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid2() {
        
            var lastsel22;
            var colMap = {};
            $("#TablaGrid2").jqGrid({
                datatype: GetData2,
                height: 155,
                width: 400,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        $('#TablaGrid2').jqGrid('editRow', id, true);
                        lastsel22 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        //$('#TablaGrid2').jqGrid('setSelection', id);
                        $('#cbUsaMone').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid2").getDataIDs(); 
                    for (var i = 0; i <= rows.length; i++)
                    { 
                        var elem  = $("#TablaGrid2").getCell(rows[i],"Id");
                        var status  = $("#TablaGrid2").getCell(rows[i],"Eli");

                        if(parseInt(status) == 1)
                        {
                            $("#TablaGrid2").setSelection(elem, true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid2()
        {
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", datatype: GetData2, loadonce: true});
            $("#TablaGrid2").trigger("reloadGrid"); 
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid2").jqGrid('delRowData', 0);
        }

        <% /* Código del Grid #3 : Usos de Habitación */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData3() {
            $.ajax({
                url: 'Servicio.svc/GetExpresionesUhab',
                data: { "id_expre": $('#HidEXIdExpre').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid3")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid3").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid3() {
        
            var lastsel23;
            var colMap = {};
            $("#TablaGrid3").jqGrid({
                datatype: GetData3,
                height: 155,
                width: 400,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        $('#TablaGrid3').jqGrid('editRow', id, true);
                        lastsel23 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        //$('#TablaGrid3').jqGrid('setSelection', id);
                        $('#cbUsaUhab').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid3").getDataIDs(); 
                    for (var i = 0; i <= rows.length; i++)
                    { 
                        var elem  = $("#TablaGrid3").getCell(rows[i],"Id");
                        var status  = $("#TablaGrid3").getCell(rows[i],"Eli");

                        if(parseInt(status) == 1)
                        {
                            $("#TablaGrid3").setSelection(elem, true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid3()
        {
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", datatype: GetData3, loadonce: true});
            $("#TablaGrid3").trigger("reloadGrid"); 
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid3").jqGrid('delRowData', 0);
        }

        <% /* Código del Grid #4 : Contratos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData4() {
            $.ajax({
                url: 'Servicio.svc/GetExpresionesCont',
                data: { "id_expre": $('#HidEXIdExpre').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid4").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid4")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid4").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid4() {
        
            var lastsel24;
            var colMap = {};
            $("#TablaGrid4").jqGrid({
                datatype: GetData4,
                height: 155,
                width: 400,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        $('#TablaGrid4').jqGrid('editRow', id, true);
                        lastsel24 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        //$('#TablaGrid4').jqGrid('setSelection', id);
                        $('#cbUsaCont').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid4").getDataIDs(); 
                    for (var i = 0; i <= rows.length; i++)
                    { 
                        var elem  = $("#TablaGrid4").getCell(rows[i],"Id");
                        var status  = $("#TablaGrid4").getCell(rows[i],"Eli");

                        if(parseInt(status) == 1)
                        {
                            $("#TablaGrid4").setSelection(elem, true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid4()
        {
            $("#TablaGrid4").jqGrid("setGridParam", {datatype: "json", datatype: GetData4, loadonce: true});
            $("#TablaGrid4").trigger("reloadGrid"); 
            $("#TablaGrid4").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid4").jqGrid('delRowData', 0);
        }

        <% /* Código del Grid #5 : Nacionalidades */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData5() {
            $.ajax({
                url: 'Servicio.svc/GetExpresionesNaci',
                data: { "id_expre": $('#HidEXIdExpre').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid5").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid5")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid5").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid5() {
        
            var lastsel25;
            var colMap = {};
            $("#TablaGrid5").jqGrid({
                datatype: GetData5,
                height: 155,
                width: 400,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel25*/) {
                        $('#TablaGrid5').jqGrid('editRow', id, true);
                        lastsel25 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel25*/) {
                        //$('#TablaGrid5').jqGrid('setSelection', id);
                        $('#cbUsaNaci').prop('checked', true);
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid5").getDataIDs(); 
                    for (var i = 0; i <= rows.length; i++)
                    { 
                        var elem  = $("#TablaGrid5").getCell(rows[i],"Id");
                        var status  = $("#TablaGrid5").getCell(rows[i],"Eli");

                        if(parseInt(status) == 1)
                        {
                            $("#TablaGrid5").setSelection(elem, true);
                        }
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid5()
        {
            $("#TablaGrid5").jqGrid("setGridParam", {datatype: "json", datatype: GetData5, loadonce: true});
            $("#TablaGrid5").trigger("reloadGrid"); 
            $("#TablaGrid5").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid5").jqGrid('delRowData', 0);
        }

        function SetComposicionData(id_compo, nombre, id_expre, codigo, cuenta, cuenta_ce)
        {
            $("#ImgSubElement").html("<img src='img/composicion.png' alt='' />");
            $("#IdSubElement").val(id_compo);
            $("#TipoSubElement").val(0);
            $("#TitSubElement").html(nombre);
            $("#HidIdCompo").val(id_compo);
            $("#HidCPDescripcion").val(nombre);
            $("#HidCPIdExpre").val(id_expre);
            $("#HidCPCodigo").val(codigo);
            $("#HidCPCuenta").val(cuenta);
            $("#HidCPCuentaCE").val(cuenta_ce);
            $("#txtComposicion").html(codigo + ' - ' + nombre);
        }

        function SetExpresionCompuestaData(id_expre, nombre_expr, op, id_referx, id_referx2)
        {
            $("#ImgSubElement").html("<img src='img/Seven/Estadisticas.png' alt='' />");
            $("#IdSubElement").val(id_expre);
            $("#TipoSubElement").val(1);
            $("#TitSubElement").html(nombre_expr);
            $("#HidIdExpre").val(id_expre);
            $("#HidECNombre").val(nombre_expr);
            $("#HidECOp").val(op);
            $("#HidECIdReferX").val(id_referx);
            $("#HidECIdReferX2").val(id_referx2);
        }

        function SetExpresionData(id_expre, nombre_expr, ktegoria, id_noex
            , usauhab, uhabnot, usacont, contnot, usanaci, nacinot, usaralo, ralonot, usamone, monenot)
        {
            $("#ImgSubElement").html("<img src='img/expresion.png' alt='' />");
            $("#IdSubElement").val(id_expre);
            $("#TipoSubElement").val(2);
            $("#TitSubElement").html(nombre_expr);
            $("#HidIdExpre").val(id_expre);
            $("#HidEXIdExpre").val(id_expre);
            $("#HidEXNombre").val(nombre_expr);
            $("#HidEXKtegoria").val(ktegoria);
            $("#HidEXIdNoex").val(id_noex);
            $("#HidEXUsaUhab").val(usauhab);
            $("#HidEXUhabNot").val(uhabnot);
            $("#HidEXUsaCont").val(usacont);
            $("#HidEXContNot").val(contnot);
            $("#HidEXUsaNaci").val(usanaci);
            $("#HidEXNaciNot").val(nacinot);
            $("#HidEXUsaRalo").val(usaralo);
            $("#HidEXRaloNot").val(ralonot);
            $("#HidEXUsaMone").val(usamone);
            $("#HidEXMoneNot").val(monenot);
        }

        function ExpresionTabsLocker()
        {
            var ktegoria = parseInt($('#cbTipoEstadistica').val());

            if (ktegoria == 1 || ktegoria == 2)
            {
                $('#ExpresionTabs').tabs("enable", 0);
                $('#ExpresionTabs').tabs("disable", 1);
                $('#ExpresionTabs').tabs("disable", 2);
                $('#ExpresionTabs').tabs("enable", 3);
                $('#ExpresionTabs').tabs("enable", 4);
                $('#ExpresionTabs').tabs("disable", 5);
                $('#ExpresionTabs').tabs("option", "active", 0);
            }
            if (ktegoria == 3 || ktegoria == 4 || ktegoria == 5 || ktegoria == 6) {
                $('#ExpresionTabs').tabs("enable", 0);
                $('#ExpresionTabs').tabs("disable", 1);
                $('#ExpresionTabs').tabs("disable", 2);
                $('#ExpresionTabs').tabs("enable", 3);
                $('#ExpresionTabs').tabs("enable", 4);
                $('#ExpresionTabs').tabs("enable", 5);
                $('#ExpresionTabs').tabs("option", "active", 0);

            }
            if (ktegoria == 7 || ktegoria == 8 || ktegoria == 9 || ktegoria == 10 || ktegoria == 14 || ktegoria == 15) {
                $('#ExpresionTabs').tabs("disable", 0);
                $('#ExpresionTabs').tabs("disable", 1);
                $('#ExpresionTabs').tabs("disable", 2);
                $('#ExpresionTabs').tabs("disable", 3);
                $('#ExpresionTabs').tabs("disable", 4);
                $('#ExpresionTabs').tabs("disable", 5);
                $('#ExpresionTabs').tabs("option", "active", 0);
            }
            if (ktegoria == 11) {
                $('#ExpresionTabs').tabs("disable", 0);
                $('#ExpresionTabs').tabs("enable", 1);
                $('#ExpresionTabs').tabs("disable", 2);
                $('#ExpresionTabs').tabs("disable", 3);
                $('#ExpresionTabs').tabs("disable", 4);
                $('#ExpresionTabs').tabs("disable", 5);
                $('#ExpresionTabs').tabs("option", "active", 1);
            }
            if (ktegoria == 12 || ktegoria == 13 || ktegoria == 16 || ktegoria == 17 || ktegoria == 18 || ktegoria == 20) {
                $('#ExpresionTabs').tabs("enable", 0);
                $('#ExpresionTabs').tabs("disable", 1);
                $('#ExpresionTabs').tabs("enable", 2);
                $('#ExpresionTabs').tabs("enable", 3);
                $('#ExpresionTabs').tabs("enable", 4);
                $('#ExpresionTabs').tabs("disable", 5);
                $('#ExpresionTabs').tabs("option", "active", 0);
            }
            if (ktegoria == 19) {
                $('#ExpresionTabs').tabs("disable", 0);
                $('#ExpresionTabs').tabs("disable", 1);
                $('#ExpresionTabs').tabs("disable", 2);
                $('#ExpresionTabs').tabs("enable", 3);
                $('#ExpresionTabs').tabs("enable", 4);
                $('#ExpresionTabs').tabs("disable", 5);
                $('#ExpresionTabs').tabs("option", "active", 3);
            }
        }

        function SetData()
        {
            if (parseInt($("#TipoSubElement").val()) == 0) {
                $("#HidCPIdCompo").val($("#HidIdCompo").val());
                $("#txtCPDescripcion").val($("#HidCPDescripcion").val());
                $("#cbExpresion").val($("#HidCPIdExpre").val());
                $("#txtCPCodigo").val($("#HidCPCodigo").val());
                $("#cbCuenta").val($("#HidCPCuenta").val());
                $("#cbCuentaCE").val($("#HidCPCuentaCE").val());
            }
            if (parseInt($("#TipoSubElement").val()) == 1) {
                $("#HidECIdExpre").val($("#HidIdExpre").val());
                $("#txtECNombre").val($("#HidECNombre").val());
                $('input[name="rbOp"][value="' + $("#HidECOp").val() + '"]').prop('checked', true);
                $("#cbExpresionA").val($("#HidECIdReferX").val());
                $("#cbExpresionB").val($("#HidECIdReferX2").val());
            }
            if (parseInt($("#TipoSubElement").val()) == 2) {
                $("#HidEXIdExpre").val($("#HidIdExpre").val());
                $("#txtEXDescripcion").val($("#HidEXNombre").val());
                $("#cbTipoEstadistica").val($("#HidEXKtegoria").val());
                $("#cbValores").val($("#HidEXIdNoex").val());
                if (parseInt($("#HidEXUsaUhab").val()) == 1) { $('#cbUsaUhab').prop('checked', true) } else { $('#cbUsaUhab').prop('checked', false) }
                if (parseInt($("#HidEXUhabNot").val()) == 1) { $('#cbUhabNot').prop('checked', true) } else { $('#cbUhabNot').prop('checked', false) }
                if (parseInt($("#HidEXUsaCont").val()) == 1) { $('#cbUsaCont').prop('checked', true) } else { $('#cbUsaCont').prop('checked', false) }
                if (parseInt($("#HidEXContNot").val()) == 1) { $('#cbContNot').prop('checked', true) } else { $('#cbContNot').prop('checked', false) }
                if (parseInt($("#HidEXUsaNaci").val()) == 1) { $('#cbUsaNaci').prop('checked', true) } else { $('#cbUsaNaci').prop('checked', false) }
                if (parseInt($("#HidEXNaciNot").val()) == 1) { $('#cbNaciNot').prop('checked', true) } else { $('#cbNaciNot').prop('checked', false) }
                if (parseInt($("#HidEXUsaRalo").val()) == 1) { $('#cbUsaRalo').prop('checked', true) } else { $('#cbUsaRalo').prop('checked', false) }
                if (parseInt($("#HidEXRaloNot").val()) == 1) { $('#cbRaloNot').prop('checked', true) } else { $('#cbRaloNot').prop('checked', false) }
                if (parseInt($("#HidEXUsaMone").val()) == 1) { $('#cbUsaMone').prop('checked', true) } else { $('#cbUsaMone').prop('checked', false) }
                if (parseInt($("#HidEXMoneNot").val()) == 1) { $('#cbMoneNot').prop('checked', true) } else { $('#cbMoneNot').prop('checked', false) }

                RefreshGrid();
                RefreshGrid2();
                RefreshGrid3();
                RefreshGrid4();
                RefreshGrid5();

                ExpresionTabsLocker();
            }
        }

        function OpenDialog()
        {
            SetData();

            if(parseInt($("#TipoSubElement").val()) == 0)
            {
                $('#dlgComposicion').dialog('open');
            }
            if(parseInt($("#TipoSubElement").val()) == 1)
            {
                $('#dlgExpresionCompuesta').dialog('open');
            }
            if(parseInt($("#TipoSubElement").val()) == 2)
            {
                $('#dlgExpresion').dialog('open');
            }
        }

        function Delete()
        {
            SetData();

            if (parseInt($("#TipoSubElement").val()) == 0) {
                PutDataCompo(1);
            }
            if (parseInt($("#TipoSubElement").val()) == 1) {
                PutDataExprComp(1);
            }
            if (parseInt($("#TipoSubElement").val()) == 2) {
                PutDataExpr(1);
            }
        }

        function NuevaComposicion()
        {
            $("#HidCPIdCompo").val(0);
            $("#txtCPDescripcion").val('');
            $("#cbExpresion").val(0);
            $("#txtCPCodigo").val('');
            $("#cbCuentaComi").val(0);
            $("#cbCuentaComiCE").val(0);

            $('#dlgComposicion').dialog('open');
        }

        function NuevaExpresionCompuesta()
        {
            $("#HidECIdExpre").val(0);
            $("#txtECNombre").val('');
            $('input[name="rbOp"][value="' + 0 + '"]').prop('checked', true);
            $("#cbExpresionA").val(0);
            $("#cbExpresionB").val(0);

            $('#dlgExpresionCompuesta').dialog('open');
        }

        function NuevaExpresion()
        {
            $("#HidEXIdExpre").val(0);
            $("#txtEXDescripcion").val('');
            $("#cbTipoEstadistica").val(0);
            $("#cbValores").val(0);
            $('#cbUsaUhab').prop('checked', false);
            $('#cbUhabNot').prop('checked', false);
            $('#cbUsaCont').prop('checked', false);
            $('#cbContNot').prop('checked', false);
            $('#cbUsaNaci').prop('checked', false);
            $('#cbNaciNot').prop('checked', false);
            $('#cbUsaRalo').prop('checked', false);
            $('#cbRaloNot').prop('checked', false);
            $('#cbUsaMone').prop('checked', false);
            $('#cbMoneNot').prop('checked', false);
            ExpresionTabsLocker();

            RefreshGrid();
            RefreshGrid2();
            RefreshGrid3();
            RefreshGrid4();
            RefreshGrid5();

            $('#dlgExpresion').dialog('open');
        }

        function PutDataCompo(eli) {
            $.ajax({
                url: 'Servicio.svc/PutComposiciones',
                data: {
                      "id_compo": $("#HidCPIdCompo").val(), "codigo": $("#txtCPCodigo").val(), "descripcion": $("#txtCPDescripcion").val()
                    , "id_expre": $("#cbExpresion").val(), "id_cuenta": $("#cbCuenta").val(), "id_cuenta_ce": $("#cbCuentaCE").val(), "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    var res = json.d;
                    if (res == 1) {
                        window.location.href="DefinicionComposiciones.aspx?m=1";
                    }
                    else {
                        $('#dlgCargando').dialog('close');
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function PutDataExprComp(eli) {
            $.ajax({
                url: 'Servicio.svc/PutExpresionesCompuestas',
                data: {
                      "id_expre": $('#HidECIdExpre').val(), "nombre_expr": $('#txtECNombre').val(), "operador": $('input[name=rbOp]:checked').val()
                    , "id_referx": $('#cbExpresionA').val(), "id_referx2": $('#cbExpresionB').val(), "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    var res = json.d;
                    if (res == 1) {
                        window.location.href="DefinicionComposiciones.aspx?m=1";
                    }
                    else {
                        $('#dlgCargando').dialog('close');
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function PutDataExpr(eli) {
            $.ajax({
                url: 'Servicio.svc/PutExpresiones',
                data: {
                    "id_expre": $('#HidEXIdExpre').val(), "nombre_expr": $('#txtEXDescripcion').val(), "ktegoria": $('#cbTipoEstadistica').val(), "id_noex": $('#cbValores').val()
                    , "usaralo": $('#cbUsaRalo:checked').val(), "ralonot": $('#cbRaloNot:checked').val(), "sralo": $("#TablaGrid").jqGrid('getGridParam','selarrrow').toString()
                    , "usamone": $('#cbUsaMone:checked').val(), "monenot": $('#cbMoneNot:checked').val(), "smone": $("#TablaGrid2").jqGrid('getGridParam','selarrrow').toString()
                    , "usauhab": $('#cbUsaUhab:checked').val(), "uhabnot": $('#cbUhabNot:checked').val(), "suhab": $("#TablaGrid3").jqGrid('getGridParam','selarrrow').toString()
                    , "usacont": $('#cbUsaCont:checked').val(), "contnot": $('#cbContNot:checked').val(), "scont": $("#TablaGrid4").jqGrid('getGridParam','selarrrow').toString()
                    , "usanaci": $('#cbUsaNaci:checked').val(), "nacinot": $('#cbNaciNot:checked').val(), "snaci": $("#TablaGrid5").jqGrid('getGridParam','selarrrow').toString()
                    , "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    var res = json.d;
                    if (res == 1) {
                        window.location.href="DefinicionComposiciones.aspx?m=1";
                    }
                    else {
                        $('#dlgCargando').dialog('close');
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function GetCalculoComp() {
            $.ajax({
                url: 'Servicio.svc/GetCalculoComp',
                data: { "Codigo": $('#HidCPCodigo').val(), "FecIni": $('#txtFecIni').val(), "FecFin": $('#txtFecFin').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $('#txtResultado').html(json.d);
                }
            });
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgComposicion").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 300,
                width: 420,
                modal: true
            });

            $("#dlgExpresionCompuesta").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 280,
                width: 420,
                modal: true
            });

            $("#dlgExpresion").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 520,
                width: 470,
                modal: true
            });

            $("#dlgCalculo").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 230,
                width: 390,
                modal: true
            });

            $("#ArbolComposiciones").treeview({
                collapsed: true
            });

            $("#ArbolExpresiones").treeview({
                collapsed: true
            });

            $("#SevenMenu").accordion("option", "active", 3);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#ExpresionTabs').tabs();

            LoadGrid();
            LoadGrid2();
            LoadGrid3();
            LoadGrid4();
            LoadGrid5();

        });
    </script>

    <style type="text/css">
        .treeview span { cursor: pointer; }
        .treeview span.suma { background: url(img/plus.png) 0 0 no-repeat; }
        .treeview span.resta { background: url(img/minus.png) 0 0 no-repeat; }
        .treeview span.multiplicacion { background: url(img/asterisk.png) 0 0 no-repeat; }
        .treeview span.division { background: url(img/division.png) 0 0 no-repeat; }
        .treeview span.expresion { background: url(img/expresion.png) 0 0 no-repeat; }
        .treeview span.composicion { background: url(img/composicion.png) 0 0 no-repeat; }
    </style>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M4';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="DefinicionComposiciones.aspx"><%=L.TIT("DefinicionComposiciones") %></a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <div id="dlgCalculo" title="<%=L.LBL("LblFDKSCalculoComposiciones") %>" style="text-align: center;padding-top: 25px">
                    <table style="width: 100%; text-align: left;">
                        <tr>
                            <td style="width: 30%; text-align: left;">
                                <%=L.LBL("LblFDKSComposicion") %>:
                            </td>
                            <td style="width: 70%; text-align: left;">
                                <b><span id="txtComposicion"></span></b>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENStart") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFecIni" class="eligeFecha" value="<%=String.Format("{0:d}", FechaHotelera.AddDays(-1)) %>" size="10" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENEnd") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFecFin" class="eligeFecha" value="<%=String.Format("{0:d}", FechaHotelera.AddDays(-1)) %>" size="10" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblFDKSResultado") %>:
                            </td>
                            <td>
                                <b><span id="txtResultado"><%=String.Format("{0:N2}", 0) %></span></b>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnCalcular2" onclick="GetCalculoComp();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/calculator-gray.png" alt="<%=L.LBL("LblFDKSCalcular") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblFDKSCalcular") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelar2" onclick="$('#dlgCalculo').dialog('close');">
                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <div id="dlgComposicion" title="<%=L.LBL("LblFDKSComposicion") %>" style="padding-top: 25px">
                    <input type="hidden" id="HidIdCompo" value="0" />
                    <input type="hidden" id="HidCPIdCompo" value="0" />
                    <input type="hidden" id="HidCPDescripcion" value="" />
                    <input type="hidden" id="HidCPIdExpre" value="0" />
                    <input type="hidden" id="HidCPCodigo" value="" />
                    <input type="hidden" id="HidCPCuenta" value="0" />
                    <input type="hidden" id="HidCPCuentaCE" value="0" />

                    <table>
                        <tr>
                            <td><%=L.LBL("LblGENDescription")%></td>
                            <td>
                                <input type="text" id="txtCPDescripcion" value="" />
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSCodigoReportes")%></td>
                            <td>
                                <input type="text" id="txtCPCodigo" value="" />
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSExpresion")%></td>
                            <td>
                                <%=cbExpresion %>
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblGENAccount")%></td>
                            <td>
                                <select name="cbCuenta" id="cbCuenta" onchange="" style="width: 240px;">
                                    <option value="0">-</option>
                                    <%
                                        foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                        }
                                    %>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSContrapartida")%></td>
                            <td>
                                <select name="cbCuentaCE" id="cbCuentaCE" onchange="" style="width: 240px;">
                                    <option value="0">-</option>
                                    <%
                                        foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                        {
                                            Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                        }
                                    %>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td><br /></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnGuardarA" onclick="PutDataCompo(0);">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelarA" onclick="$('#dlgComposicion').dialog('close');">
                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

                <div id="dlgExpresionCompuesta" title="<%=L.LBL("LblFDKSExpresionCompuesta") %>" style="padding-top: 25px">
                    <input type="hidden" id="HidIdExpre" value="0" />
                    <input type="hidden" id="HidECIdExpre" value="0" />
                    <input type="hidden" id="HidECNombre" value="0" />
                    <input type="hidden" id="HidECOp" value="0" />
                    <input type="hidden" id="HidECIdReferX" value="0" />
                    <input type="hidden" id="HidECIdReferX2" value="0" />

                    <table>
                        <tr>
                            <td><%=L.LBL("LblGENDescription")%></td>
                            <td>
                                <input type="text" id="txtECNombre" value="" />
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSExpresion1")%></td>
                            <td>
                                <%=cbExpresionA %>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 25%;"></td>
                                        <td>
                                            <div style="width:90%; border: 1px navy solid; padding: 5px; white-space: nowrap;">
                                                <input type="radio" name="rbOp" value="0" checked="checked"/><img src="img/plus.png" alt="" />
                                                <input type="radio" name="rbOp" value="1" /><img src="img/minus.png" alt="" />
                                                <input type="radio" name="rbOp" value="2" /><img src="img/asterisk.png" alt="" />
                                                <input type="radio" name="rbOp" value="3" /><img src="img/division.png" alt="" />
                                            </div>
                                        </td>
                                        <td style="width: 25%;"></td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSExpresion2")%></td>
                            <td>
                                <%=cbExpresionB %>
                            </td>
                        </tr>
                        <tr>
                            <td><br /></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnGuardarB" onclick="PutDataExprComp(0);">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelarB" onclick="$('#dlgExpresionCompuesta').dialog('close');">
                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

                <div id="dlgExpresion" title="<%=L.LBL("LblFDKSExpresion") %>" style="padding-top: 25px">
                    <input type="hidden" id="HidEXIdExpre" value="0" />
                    <input type="hidden" id="HidEXNombre" value="" />
                    <input type="hidden" id="HidEXKtegoria" value="0" />
                    <input type="hidden" id="HidEXIdNoex" value="0" />
                    <input type="hidden" id="HidEXUsaUhab" value="0" />
                    <input type="hidden" id="HidEXUhabNot" value="0" />
                    <input type="hidden" id="HidEXUsaCont" value="0" />
                    <input type="hidden" id="HidEXContNot" value="0" />
                    <input type="hidden" id="HidEXUsaNaci" value="0" />
                    <input type="hidden" id="HidEXNaciNot" value="0" />
                    <input type="hidden" id="HidEXUsaRalo" value="0" />
                    <input type="hidden" id="HidEXRaloNot" value="0" />
                    <input type="hidden" id="HidEXUsaMone" value="0" />
                    <input type="hidden" id="HidEXMoneNot" value="0" />

                    <table>
                        <tr>
                            <td><%=L.LBL("LblGENDescription")%></td>
                            <td>
                                <input type="text" id="txtEXDescripcion" value="" />
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblFDKSTipoEstadistica")%></td>
                            <td>
                                <%=cbTipoEstadistica %>
                            </td>
                        </tr>
                        <tr>
                            <td><br /></td>
                        </tr>
                        <tr>
                            <td colspan="2">

                                <div id="ExpresionTabs" style="padding: 0px;">
                                    <ul>
                                        <li>
                                            <a href="#Regimen">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/Seven/Regimen.png" /></td>
                                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSEXRegimen") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#EstadExterna">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/Seven/Estadisticas.png" /></td>
                                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSEXEstadExterna") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Moneda">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/Seven/Dinero.png" /></td>
                                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblGENMoney") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Usos">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/wand-magic.png" /></td>
                                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblGENUsosHab") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Contrato">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/Seven/Libro.png" /></td>
                                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSEXContrato") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="#Nacionalidad">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/Seven/Tierra.png" /></td>
                                                        <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSEXNacionalidad") %></span></td>
                                                    </tr>
                                                </table>
                                            </a>
                                        </li>
                                    </ul>

                                    <div id="Regimen">
                                        <table style="width:100%;">
                                            <tr>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbUsaRalo" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                <td style="width:100%;"></td>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbRaloNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                            </tr>
                                        </table>
                                        <table id="TablaGrid"></table>
                                    </div>

                                    <div id="EstadExterna">
                                        <%=cbValores %>
                                    </div>

                                    <div id="Moneda">
                                        <table style="width:100%;">
                                            <tr>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbUsaMone" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                <td style="width:100%;"></td>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbMoneNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                            </tr>
                                        </table>
                                        <table id="TablaGrid2"></table>
                                    </div>

                                    <div id="Usos">
                                        <table style="width:100%;">
                                            <tr>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbUsaUhab" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                <td style="width:100%;"></td>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbUhabNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                            </tr>
                                        </table>
                                        <table id="TablaGrid3"></table>
                                    </div>

                                    <div id="Contrato">
                                        <table style="width:100%;">
                                            <tr>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbUsaCont" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                <td style="width:100%;"></td>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbContNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                            </tr>
                                        </table>
                                        <table id="TablaGrid4"></table>
                                    </div>

                                    <div id="Nacionalidad">
                                        <table style="width:100%;">
                                            <tr>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbUsaNaci" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                <td style="width:100%;"></td>
                                                <td style="white-space: nowrap;"><input type="checkbox" id="cbNaciNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                            </tr>
                                        </table>
                                        <table id="TablaGrid5"></table>
                                    </div>

                                </div>

                            </td>
                        </tr>
                        <tr>
                            <td><br /></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnGuardarC" onclick="PutDataExpr(0);">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelarC" onclick="$('#dlgExpresion').dialog('close');">
                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("DefinicionComposiciones") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/1-4-temporadas/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <div class="SevenEnlaces">
                    <table>
                        <tr>
                            <td><b><%=L.LBL("LblFDKSEditElement") %>:</b></td>
                            <td>
                                <span id="ImgSubElement"><img src='img/Seven/Estadisticas.png' alt='' /></span>
                            </td>
                            <td>
                                <input type="hidden" id="IdSubElement" value="0" />
                                <input type="hidden" id="TipoSubElement" value="0" />
                                <span id="TitSubElement">[<%=L.LBL("LblFDKSChooseOne") %>]</span>
                            </td>
                            <td>
                                <button type="button" onclick="OpenDialog();">
                                        <table style="border: 0px solid black;">
                                            <tr>
                                                <td style="background: none;"><img src="img/pencil.png" alt="<%=L.LBL("LblGENEdit") %>" /></td>
                                                <td style="background: none;"><%=L.LBL("LblGENEdit") %></td>
                                            </tr>
                                        </table>
                                </button>
                            </td>
                            <td>
                                <button type="button" onclick="Delete();">
                                        <table style="border: 0px solid black;">
                                            <tr>
                                                <td style="background: none;"><img src="img/cross.png" alt="<%=L.LBL("LblGENDelete") %>" /></td>
                                                <td style="background: none;"><%=L.LBL("LblGENDelete")%></td>
                                            </tr>
                                        </table>
                                </button>
                            </td>
                        </tr>
                    </table>
                </div>

                <table style="width: 100%; border-collapse: separate; border-spacing: 5px;">
                    <tr>
                        <td style="font-size: 11pt; font-weight: bold;">
                            <%=L.LBL("LblFDKSComposiciones") %>
                        </td>
                        <td style="font-size: 11pt; font-weight: bold;">
                            <%=L.LBL("LblFDKSExpresiones") %>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 50%; height: 300px; background-color: white; border: 1px solid black;">
                            <div style="width: 100%; height: 300px; overflow: scroll;">
                                <%=ArbolComposiciones %>
                            </div>
                        </td>
                        <td style="width: 50%; height: 300px; background-color: white; border: 1px solid black;">
                            <div style="width: 100%; height: 300px; overflow: scroll;">
                                <%=ArbolExpresiones %>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="btnNuevaCompo" onclick="NuevaComposicion();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/composicion.png" alt="<%=L.LBL("LblFDKSNuevaComposicion") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblFDKSNuevaComposicion")%></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevaExpresionCompleja" onclick="NuevaExpresionCompuesta();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/Estadisticas.png" alt="<%=L.LBL("LblFDKSNuevaExpresionCompleja") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblFDKSNuevaExpresionCompleja")%></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevaExpresion" onclick="NuevaExpresion();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/expresion.png" alt="<%=L.LBL("LblFDKSNuevaExpresion") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblFDKSNuevaExpresion")%></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCalcular" onclick="$('#txtResultado').html('<%=String.Format("{0:N2}", 0) %>');$('#dlgCalculo').dialog('open');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/calculator-gray.png" alt="<%=L.LBL("LblFDKSCalcular") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblFDKSCalcular")%></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

