﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Descuentos.aspx.cs" Inherits="Seven.Front.Settings.Descuentos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("Descuentos") %> [4.6]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /******************************************** Código del Grid #1 - Descuentos ********************************************************/ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetDescuentos',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData(id, desc, porc, tipo, pass, act, eli) {
            $.ajax({
                url: 'Servicio.svc/PutDescuentos',
                data: { "IdDcto": id, "Desc": desc, "Porc": porc, "Tipo": tipo, "Pass": pass, "Activo": act, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if (eli == 1) {
                            $('#IdSubElement').val(0);
                            $('#TitSubElement').html('');
                            RefreshGrid2();

                            BotonDefault();
                            RefreshGrid();
                        }
                        else if(id > 0 || id < 0){
                            BotonDefault();
                            RefreshGrid();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefault();
                            RefreshGrid();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: 'local',
                height: 150,
                width: 700,
                colNames: ['Index', '<%=L.LBL("LblGENDescription") %>', '<%=L.LBL("LblGENPercent") %>', '<%=L.LBL("LblGENType") %>', '<%=L.LBL("LblGENPassword") %>', '<%=L.LBL("LblGENVisible") %>', '<%=L.LBL("LblGENActiveAbbr") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Desc', index: 'Desc', width: 30, editable: true, searchoptions:{sopt:ListFindT} },
   		                    { name: 'Porc', index: 'Porc', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            { name: 'Tipo', index: 'Tipo', width: 15, editable: true, search:false, formatter:'select', stype:'select', edittype:'select', editoptions: { value: "1:<%=L.LBL("LblGENFullCredit") %>;2:<%=L.LBL("LblGENTotal") %>;3:<%=L.LBL("LblGENByCharges") %>;4:<%=L.LBL("LblGENPOS") %>" } },
                            { name: 'Pass', index: 'Pass', width: 10, editable: true, search:false },
                            { name: 'Activo', index: 'Activo', width: 5, editable: true, search:false, 
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' },
                                formatoptions: { disabled: true }
                                },
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (isNaN(lastsel2) && !isNaN(id)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            //$('#TablaGrid').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', lastsel2);

                            var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.Desc);
                            RefreshGrid2();
                        }
                        else {
                            BotonNuevo();
                        }

                        $('#TablaGrid').jqGrid('editRow', id, true, Events);

                        lastsel2 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (isNaN(lastsel2)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            $('#TablaGrid').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid').jqGrid('saveRow', lastsel2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid').jqGrid('setSelection', id);

                        BotonSelect();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    {
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#TablaGrid").getCell(rows[i], "Id"));
                        }

                        var status  = $("#TablaGrid").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#TablaGrid').jqGrid('setSelection', $('#IdSubElement').val());
                    if (parseInt($('#IdSubElement').val()) != 0) {
                        BotonSelect();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Nac',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata").click(function(){ 
                jQuery("#TablaGrid").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events(id) {
            $("#" + id + "_Desc").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Porc").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Tipo").on('change', function () { BotonGuardar(); });
            $("#" + id + "_Pass").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Activo").on('change', function () { BotonGuardar(); });
        }

        function EventsNew() {
            var selr = jQuery('#TablaGrid').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_Desc").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Porc").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Tipo").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_Pass").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Activo").on('change', function () { BotonGuardar(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');
            RefreshGrid2();

            $("#TablaGrid").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo();
            EventsNew();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Desc').val(), $('#' + id + '_Porc').val(), $('#' + id + '_Tipo').val(), $('#' + id + '_Pass').val(), $('#' + id + '_Activo:checked').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Desc').val(), $('#' + id + '_Porc').val(), $('#' + id + '_Tipo').val(), $('#' + id + '_Pass').val(), $('#' + id + '_Activo').val(), 1);
                RefreshGrid();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault();
        }

        function BotonDefault() {
            $('#btnNuevo').button('enable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonNuevo() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('enable');
        }

        function BotonSelect() {
            $('#btnNuevo').button('enable');
            var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar').button('enable');
            }
            else {
                $('#btnEliminar').button('disable');
            }
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonGuardar() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('enable');
            $('#btnCancelar').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=407&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        <% /**************************************** Código del Grid #2 - Monedas de Descuentos ***************************************************/ %>

        <% /* Función que permite dar formato a una celda del grid como imagen. */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData2() {
            $.ajax({
                url: 'Servicio.svc/GetDescuentosMoneda',
                data: { "IdDcto": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid2")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid2").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    $('#TitSubElement').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData2(id, mone, cuenta, eli) {
            $.ajax({
                url: 'Servicio.svc/PutDescuentosMoneda',
                data: { "IdDcto": $('#IdSubElement').val(), "IdMone": mone, "IdCuenta": cuenta, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if (eli == 1) {
                            BotonDefault2();
                            RefreshGrid2();
                        }
                        else if(id > 0 || id < 0){
                            BotonDefault2();
                            RefreshGrid2();
                        }
                        else
                        {
                            BotonDefault2();
                            RefreshGrid2();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid2() {
        
            var lastsel22;
            var colMap = {};
            $("#TablaGrid2").jqGrid({
                datatype: 'local',
                height: 150,
                width: 680,
                colNames: ['Index', '', '<%=L.LBL("LblGENMoney") %>', '<%=L.LBL("LblGENAccount") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'IdDcto', index: 'IdDcto', width: 30, editable: false, hidden: true },
   		                    { name: 'IdMone', index: 'IdMone', width: 10, editable: true, search:false, edittype: 'select', editoptions: {<%=ComboMoneda %>}, formatter: 'select' },
                            {
                                name: 'IdCuenta', index: 'IdCuenta', width: 10, editable: true, edittype: 'select',
                                editoptions: {
                                    <%
                                        Response.Write("value: \"");
                                        int i = 0;
                                        foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                        {
                                            Response.Write(Utils.GetJQGridSelectOption(dr[0].ToString(), dr[1].ToString().Trim() + " - " + dr[2].ToString().Trim(), i == CuentasFDK.Rows.Count - 1 ? false : true));
                                            i++;
                                        }
                                        Response.Write("\"");
                                    %>
                                },
                                search: false, formatter: 'select'
                            }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {

                        if (isNaN(lastsel22) && !isNaN(id)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            $('#TablaGrid2').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid2').jqGrid('restoreRow', lastsel22);
                        }
                        else {
                            BotonGuardar2();
                        }

                        $('#TablaGrid2').jqGrid('editRow', id, true, Events2);

                        lastsel22 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        if (isNaN(lastsel22)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            $('#TablaGrid2').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid2').jqGrid('saveRow', lastsel22);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        $('#TablaGrid2').jqGrid('setSelection', id);
                    }
                    BotonSelect2();
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador2',
                sortname: 'Nac',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                editurl:"Dummy.aspx"
            });

        }

        function Events2(id) {
            $("#" + id + "_IdMone").on('change', function () { BotonGuardar2(); });
            $("#" + id + "_IdCuenta").on('change', function () { BotonGuardar2(); });
        }

        function EventsNew2() {
            var selr = jQuery('#TablaGrid2').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_IdMone").on('change', function () { BotonGuardar2(); });
            $("#" + selr + "_IdCuenta").on('change', function () { BotonGuardar2(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid2()
        {
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", datatype: GetData2, loadonce: true});
            $("#TablaGrid2").trigger("reloadGrid"); 
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            $("#TablaGrid2").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement2()
        {
            $("#TablaGrid2").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardar2();
            EventsNew2();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_IdMone').val(), $('#' + id + '_IdCuenta').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid2").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_IdMone').val(), $('#' + id + '_IdCuenta').val(), 1);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid2').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault2();
        }

        function BotonDefault2() {
            $('#btnNuevo2').button('enable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonNuevo2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('enable');
        }

        function BotonSelect2() {
            $('#btnNuevo2').button('enable');
            var id = $("#TablaGrid2").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar2').button('enable');
            }
            else {
                $('#btnEliminar2').button('disable');
            }
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonGuardar2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('enable');
            $('#btnCancelar2').button('enable');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                "<%=L.LBL("LblGENAceptar") %>": function ()
                    {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGrid();
            LoadGrid2();

            RefreshGrid();

            BotonDefault();
            BotonDefault2();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Descuentos.aspx"><%=L.TIT("Descuentos") %> [4.6]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Descuentos") %> [4.6]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefault()RefreshGrid();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/4-6-descuentos/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="TablaGrid"></table>
                <div id="Paginador" ></div>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdata" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevo" onclick="CreateElement();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminar" onclick="DeleteElement();">
                                            <table><tr><td><img id="btnEliminarIcon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarText"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardar" onclick="SaveElement();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelar" onclick="CancelElement();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <fieldset>
                    <legend><b><%=L.LBL("LblGENMoneys") %> - <span id="TitSubElement"></span></b></legend>

                    <input type="hidden" id="IdSubElement" value="0" />

                    <table id="TablaGrid2"></table>

                    <table width="100%">
                        <tr>
                            <td colspan="4">
                                <table width="100%">
                                    <tr>
                                        <td width="100%"></td>
                                        <td>
                                            <button type="button" id="btnNuevo2" onclick="CreateElement2();">
                                                <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnEliminar2" onclick="DeleteElement2();">
                                                <table><tr><td><img src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td><%=L.LBL("LblGENDelete") %></td></tr></table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnGuardar2" onclick="SaveElement2();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCancelar2" onclick="CancelElement2();">
                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>

                </fieldset>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

