﻿<%@ Import Namespace="Seven.Front.Settings" %>
<%@ Import Namespace="Seven.Front.Settings.Globals" %>
<%@ Import Namespace="Seven.Front.Settings.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="BitacoraSeguridad.aspx.cs" Inherits="Seven.Front.Settings.BitacoraSeguridad" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title>FDK - <%=L.TIT("BitacoraSeguridad") %> </title>

    <script type="text/javascript">

        function Log() {
            window.open('Informe.aspx?r=1000'
                + '&s=' + $('#txtFecIni').val()
                + '&f=' + $('#txtFecFin').val()
                + '&u=' + $('#cbOperador').val()
                + '&m=' + $('#cbModulo').val()
                + '&a=' + $('#cbAplicacion').val()
                + '&d=' + $('#cbDatos').val()
                + '&o=' + $('#cbOpcion').val()
                + '&t=' + $('#txtFiltro').val()
            , "_blank");
        }

        function GetAplicaciones() {
            $.ajax({
                type: "GET",
                url: 'Servicio.svc/GetAplicacionesCombo',
                data: {
                    "id_modulo": 1
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    $("#cbAplicacion").html(json.d);
                    jQueryUIOtraVez();
                    GetDatos();
                    GetOpciones();
                }
            });
        };

        function GetDatos() {
            $.ajax({
                type: "GET",
                url: 'Servicio.svc/GetDatosComboBS',
                data: {
                    "id_modulo": $('#cbModulo').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    $("#cbDatos").html(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function GetOpciones() {
            $.ajax({
                type: "GET",
                url: 'Servicio.svc/GetOpcionesCombo',
                data: {
                    "id_app": $('#cbAplicacion').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (json) {
                    $("#cbOpcion").html(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            //$("#SevenMenu").accordion("option", "active", 6);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            GetAplicaciones();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M1';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="BitacoraSeguridad.aspx"><%=L.TIT("BitacoraSeguridad") %> </a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 400px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("BitacoraSeguridad") %> </span>
                        </td>
                        <%--<td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-BitacoraSeguridad/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <fieldset>
                    <table>
                        <tr>
                            <td><%=L.LBL("LblGENStart") %>: </td>
                            <td>
                                <input type="text" id="txtFecIni" name="txtFecIni" class="eligeFecha" 
                                    style="width: 100px;" value="<%=string.Format("{0:d}", DateTime.Today.AddDays(-1)) %>" />
                            </td>
                            <td><%=L.LBL("LblGENEnd") %>: </td>
                            <td>
                                <input type="text" id="txtFecFin" name="txtFecFin" class="eligeFecha" 
                                    style="width: 100px;" value="<%=string.Format("{0:d}", DateTime.Today) %>" />
                            </td>
                        </tr>
                        <tr>
                            <td><%=L.LBL("LblGENUser") %>: </td>
                            <td colspan="3">
                                <%=cbOperador %>
                            </td>
                        </tr>
                        <%--<tr>
                            <td>
                                <%=L.LBL("LblBSModulo") %>:
                            </td>
                            <td colspan="3">
                                <%=cbModulo %>
                            </td>
                        </tr>--%>
                        <tr>
                            <td>
                                <%=L.LBL("LblBSAplicacion") %>:
                            </td>
                            <td colspan="3">
                                <select id="cbAplicacion" style="width: 250px;" onclick="GetOpciones();"></select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblBSOpcion") %>:
                            </td>
                            <td colspan="3">
                                <select id="cbOpcion" style="width: 250px;" ></select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblBSDatos") %>:
                            </td>
                            <td colspan="3">
                                <select id="cbDatos" style="width: 250px;" ></select>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblBSPalabraClave") %>:
                            </td>
                            <td colspan="3">
                                <input type="text" id="txtFiltro" name="txtFiltro" value="" style="width: 250px;" />
                            </td>
                        </tr>
                    </table>
                </fieldset>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnImprimir" onclick="Log();" title="<%=L.LBL("LblGENPrint") %>">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

