﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Perfiles.aspx.cs" Inherits="Seven.Front.Settings.Perfiles" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("Perfiles") %> [1.2]</title>
    
    <script type="text/javascript">

    <% 
        
        /* 
         * Índice de Código 
         * 
         * JQ01 - Grid de Perfiles
         * 
         * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
         * JS_DOC       - Funciones Javascript en Document.Ready()
         * 
         * DLG_VAR      - Diálogos Varios
         * DLG_FIL_PER  - Filtro de Perfiles
         * 
         * TIT - Título
         * 
         * HH  - Hidden Hive - Almacen de datos en campos ocultos
         * 
         * B01 - Grid y Radios
         * B02 - Tab de Información de Cliente
         * B03 - Tab de Información de Empresa 
         * B04 - Información Adicional
         * B05 - Botones Principales
         * 
         */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para PER */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPER() {
            GetPerfil(0);
        }

        function GetPerfil(id) {
            var modo = 0;
            if (parseInt($('input[name=rbPERTipo]:checked').val()) == 0) {
                modo = 2;
            }
            else {
                modo = 1;
            }

            $.ajax({
                url: 'Servicio.svc/GetPerfiles',
                data: {
                      "Modo": modo, "id_cardex": id
                    , "Fil_nombre": $("input[name=cbFilPER_nombre]:checked").val(), "vFil_nombre": $('#txtFilPER_nombre').val()
                    , "Fil_clave_cardex": $("input[name=cbFilPER_clave_cardex]:checked").val(), "vFil_clave_cardex": $('#txtFilPER_clave_cardex').val()
                    , "Fil_dni_cif": $("input[name=cbFilPER_dni_cif]:checked").val(), "vFil_dni_cif": $('#txtFilPER_dni_cif').val()
                    , "Fil_provincia": $("input[name=cbFilPER_provincia]:checked").val(), "vFil_provincia": $('#txtFilPER_provincia').val()
                    , "Fil_ciudad": $("input[name=cbFilPER_ciudad]:checked").val(), "vFil_ciudad": $('#txtFilPER_ciudad').val()
                    , "Fil_localidad": $("input[name=cbFilPER_localidad]:checked").val(), "vFil_localidad": $('#txtFilPER_localidad').val()
                    , "Fil_zip_code": $("input[name=cbFilPER_zip_code]:checked").val(), "vFil_zip_code": $('#txtFilPER_zip_code').val()
                    , "Fil_id_naci": $("input[name=cbFilPER_id_naci]:checked").val(), "vFil_id_naci": $('#cbNacionalidadFilPER').val()
                    , "Fil_fecha_nac": $("input[name=cbFilPER_fecha_nac]:checked").val(), "Fil_fecha_nac_modo": $('#cbDateOpsFilPER').val()
                    , "vFil_fecha_nac": $('#txtFilPER_fecha_nac').val(), "vFil_fecha_nac2": $('#txtFilPER_fecha_nac2').val()
                    , "Fil_vip": $("input[name=cbFilPER_vip]:checked").val()
                    , "Fil_sexo": $("input[name=cbFilPER_sexo]:checked").val(), "vFil_sexo": $('input[name=rbPERFilGenero]:checked').val()
                    , "Fil_cumpleanos": $("input[name=cbFilPER_cumpleanos]:checked").val()
                    , "vFil_cumpleanos": $('#txtFilPER_cumpleanos').val(), "vFil_cumpleanos2": $('#txtFilPER_cumpleanos2').val()
                    , "Eliminado": $('#cbEliminado:checked').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        if (parseInt(id) == 0)
                        {
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgPER")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                        else
                        {
                            $('#HidPerfil').html(json.d);
                            LoadForm();
                        }
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPER(eli) {
            $.ajax({
                url: 'Servicio.svc/PutPerfiles',
                data: {
                      "id_cardex": $('#IdSubElementPER').val(), "es_empresa": $('input[name=rbPERTipo]:checked').val()
                    , "id_mone": $('#cbMoneda').val()
                    , "id_cuenta": $('#cbCuentaComi').val(), "id_dcto": $('#cbDescuento').val()
                    , "clave_cardex": $('#txtPERClave').val(), "direccion": $('#txtPERDireccion').val()
                    , "fecha_nac": $('#txtPERFechaNac').val(), "precio_especial": $('#txtPERPrecioEsp').val()
                    , "empresa": $('input[name=rbPERTipo]:checked').val(), "dni_cif": $('#txtPERIdentidadFiscal').val()
                    , "vip": $('input[name=cbPERVIP]:checked').val()
                    , "E_mail": $('#txtPEREmail').val(), "localidad": $('#txtPERLocalidad').val()
                    , "ciudad": $('#txtPERCiudad').val()
                    , "zip_code": $('#txtPERCodPostal').val(), "provincia": $('#txtPERProvincia').val()
                    , "observaciones": $('#txtPERObservaciones').val()
                    , "id_naci": $('#cbNacionalidad').val(), "id_idio": $('#cbIdioma').val()
                    , "telefonos": $('#txtPERTelefonos').val(), "fax": $('#txtPERFax').val()
                    , "referencia": $('#txtPERReferencia').val()
                    , "siglas": $('#txtPEREMSiglas').val(), "nombre_empresa": $('#txtPEREMNombre').val()
                    , "objeto_social": $('#txtPEREMObjSocial').val(), "nombre_gerente": $('#txtPEREMGerente').val()
                    , "nombre": $('#txtPERCLNombre').val(), "lugar_nacimiento": $('#txtPERCLLugarNac').val()
                    , "profesion": $('#txtPERCLProfesion').val(), "tipo_doc": $('input[name=rbPERCLTipoDoc]:checked').val()
                    , "sexo": $('input[name=rbPERCLGenero]:checked').val(), "venc_pas": $('#txtPERCLVencPass').val()
                    , "tarj_cred": $('#txtPERCLTarjCred').val()
                    , "venc_tarj_month": $('#cbMonth').val(), "venc_tarj_year": $('#cbYear').val()
                    , "numero_pas": $('#txtPERCLIdentificacion').val()
                    , "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementPER').val(0);
                            BotonDefaultPER();
                            RefreshGridPER();
                            ResetForm();
                        }
                        else
                        {
                            if (parseInt($('#IdSubElementPER').val()) != 0) {
                                BotonDefaultPER();
                                RefreshGridPER();
                            }
                            else
                            {
                                $('#IdSubElementPER').val(res);
                                BotonDefaultPER();
                                RefreshGridPER();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPER() {
        
            var lselPER;
            var colMap = {};
            $("#jqgPER").jqGrid({
                datatype: 'local',
                height: 355,
                width: 150,
                colNames:  ['', '<%=L.LBL("LblGENName") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'clave_cardex', index: 'clave_cardex', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselPER) && !isNaN(id))
                        {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                            //$('#jqgPER').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            var ret = jQuery("#jqgPER").jqGrid('getRowData',id); 

                            $('#jqgPER').jqGrid('restoreRow',lselPER);

                            $('#IdSubElementPER').val(ret.Id);

                            GetPerfil(ret.Id);
                        }
                        else
                        {
                            BotonNuevoPER();
                        }
                       
                        lselPER=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselPER))
                        {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                            $('#jqgPER').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPER').jqGrid('saveRow',lselPER);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPER').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPER").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPER').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPER').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgPER').jqGrid('setSelection', id); 

                        BotonSelectPER();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPER").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        //if(i == 0 && parseInt($('#IdSubElementPER').val()) == 0)
                        //{
                        //    $('#IdSubElementPER').val($("#jqgPER").getCell(rows[i],"Id"));
                        //}
                        var status  = $("#jqgPER").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgPER").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgPER').jqGrid('setSelection', $('#IdSubElementPER').val());
                    if (parseInt($('#IdSubElementPER').val()) != 0)
                    {
                        BotonSelectPER();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            $("#bsdataPER").click(function(){ 
                jQuery("#jqgPER").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function InitializeComponentsPER() {
            $("#rbPERTipo0").on('click', function () { BotonGuardarPER(); });
            $("#rbPERTipo1").on('click', function () { BotonGuardarPER(); });
            $("#cbMoneda").on('change', function () { BotonGuardarPER(); });
            $("#cbCuentaComi").on('change', function () { BotonGuardarPER(); });
            $("#cbDescuento").on('change', function () { BotonGuardarPER(); });
            $("#txtPERClave").on('input', function () { BotonGuardarPER(); });
            $("#txtPERDireccion").on('input', function () { BotonGuardarPER(); });
            $("#txtPERFechaNac").on('input', function () { BotonGuardarPER(); });
            $("#txtPERFechaNac").on('change', function () { BotonGuardarPER(); });
            $("#txtPERPrecioEsp").on('input', function () { BotonGuardarPER(); });
            $('#txtPERCLIdentificacion').on('input', function () { BotonGuardarPER(); });
            $("#txtPERIdentidadFiscal").on('input', function () { BotonGuardarPER(); });
            $("#cbPERVIP").on('change', function () { BotonGuardarPER(); });
            $("#txtPEREmail").on('input', function () { BotonGuardarPER(); });
            $("#txtPERLocalidad").on('input', function () { BotonGuardarPER(); });
            $("#txtPERCiudad").on('input', function () { BotonGuardarPER(); });
            $("#txtPERCodPostal").on('input', function () { BotonGuardarPER(); });
            $("#txtPERProvincia").on('input', function () { BotonGuardarPER(); });
            $("#txtPERObservaciones").on('input', function () { BotonGuardarPER(); });
            $("#cbNacionalidad").on('change', function () { BotonGuardarPER(); });
            $("#cbIdioma").on('change', function () { BotonGuardarPER(); });
            $("#txtPERTelefonos").on('input', function () { BotonGuardarPER(); });
            $("#txtPERFax").on('input', function () { BotonGuardarPER(); });
            $("#txtPERReferencia").on('input', function () { BotonGuardarPER(); });
            $("#txtPEREMSiglas").on('input', function () { BotonGuardarPER(); });
            $("#txtPEREMNombre").on('input', function () { BotonGuardarPER(); });
            $("#txtPEREMObjSocial").on('input', function () { BotonGuardarPER(); });
            $("#txtPEREMGerente").on('input', function () { BotonGuardarPER(); });
            $("#txtPERCLNombre").on('input', function () { BotonGuardarPER(); });
            $("#txtPERCLLugarNac").on('input', function () { BotonGuardarPER(); });
            $("#txtPERCLProfesion").on('input', function () { BotonGuardarPER(); });
            $("#rbPERCLTipoDoc0").on('click', function () { BotonGuardarPER(); });
            $("#rbPERCLTipoDoc1").on('click', function () { BotonGuardarPER(); });
            $("#rbPERCLGenero0").on('click', function () { BotonGuardarPER(); });
            $("#rbPERCLGenero1").on('click', function () { BotonGuardarPER(); });
            $("#txtPERCLVencPass").on('input', function () { BotonGuardarPER(); });
            $("#txtPERCLVencPass").on('change', function () { BotonGuardarPER(); });
            $("#txtPERCLTarjCred").on('input', function () { BotonGuardarPER(); });
            $("#cbMonth").on('change', function () { BotonGuardarPER(); });
            $("#cbYear").on('change', function () { BotonGuardarPER(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPER()
        {
            $("#jqgPER").jqGrid("setGridParam", {datatype: "json", datatype: GetPER, loadonce: true});
            $("#jqgPER").trigger("reloadGrid"); 
            $("#jqgPER").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreatePER()
        {
            $('#IdSubElementPER').val(0);
            ResetForm();
            BotonNuevoPER();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePER(){
            PutPER(0);
        }

        <% /* Función que elimina un registro. */ %>

        function DeletePER(){
            var id = $("#jqgPER").jqGrid('getGridParam','selrow');
            if (id) {
                PutPER(1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelPER(){
            var id = $("#jqgPER").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgPER').restoreRow(id);
                $('#IdSubElementPER').val(id);
                GetPerfil(id);
            } 
            else 
            { 
                ResetForm();
            }
            BotonDefaultPER();
        }

        function BotonDefaultPER() {
            $('#btnNuevoPER').button('enable');
            $('#btnEliminarPER').button('disable');
            $('#btnGuardarPER').button('disable');
            $('#btnCancelarPER').button('disable');
        }

        function BotonNuevoPER() {
            $('#btnNuevoPER').button('disable');
            $('#btnEliminarPER').button('disable');
            $('#btnGuardarPER').button('disable');
            $('#btnCancelarPER').button('enable');
        }

        function BotonSelectPER() {
            $('#btnNuevoPER').button('enable');
            var id = $("#jqgPER").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarPER').button('enable');
            }
            else {
                $('#btnEliminarPER').button('disable');
            }
            $('#btnGuardarPER').button('disable');
            $('#btnCancelarPER').button('disable');
        }

        function BotonGuardarPER() {
            $('#btnNuevoPER').button('disable');
            $('#btnEliminarPER').button('disable');
            $('#btnGuardarPER').button('enable');
            $('#btnCancelarPER').button('enable');
        }

        <% /* JS_FUN_BASE */%>

        function LoadForm()
        {
            //$("#rbPERTipo0").prop('disabled', true);
            //$("#rbPERTipo1").prop('disabled', true);

            if(parseInt($('#HIDPER_es_empresa').val()) == 1)
            {
                $("#rbPERTipo0").prop('checked', false);
                $("#rbPERTipo1").prop('checked', true);
            }
            else
            {
                $("#rbPERTipo1").prop('checked', false);
                $("#rbPERTipo0").prop('checked', true);
            }

            SetPerfilTab();

            $('#cbMoneda').val($('#HIDPER_id_mone').val());
            $('#cbCuentaComi').val($('#HIDPER_id_cuenta').val());
            $('#cbDescuento').val($('#HIDPER_id_dcto').val());
            $('#txtPERClave').val($('#HIDPER_clave_cardex').val());
            $('#txtPERClave').prop('disabled', true);
            $('#txtPERDireccion').val($('#HIDPER_direccion').val());
            $('#txtPERFechaNac').val($('#HIDPER_fecha_nac').val());
            $('#txtPERPrecioEsp').val($('#HIDPER_precio_especial').val());
            $('#txtPERCLIdentificacion').val($('#HIDPER_dni_cif').val());
            $('#txtPERIdentidadFiscal').val($('#HIDPER_dni_cif').val());
            if(parseInt($('#HIDPER_vip').val()) == 1)
            {
                $("#cbPERVIP").prop('checked', true);
            }
            else
            {
                $("#cbPERVIP").prop('checked', false);
            }
            $('#txtPEREmail').val($('#HIDPER_E_mail').val());
            $('#txtPERLocalidad').val($('#HIDPER_localidad').val());
            $('#txtPERCiudad').val($('#HIDPER_ciudad').val());
            $('#txtPERCodPostal').val($('#HIDPER_zip_code').val());
            $('#txtPERProvincia').val($('#HIDPER_provincia').val());
            $('#hidobserv').val($('#HIDPER_observaciones').val());
            $('#txtPERObservaciones').val($('#HIDPER_observaciones').val());
            $('#cbNacionalidad').val($('#HIDPER_id_naci').val());
            $('#cbIdioma').val($('#HIDPER_id_idio').val());
            $('#txtPERTelefonos').val($('#HIDPER_telefonos').val());
            $('#txtPERFax').val($('#HIDPER_fax').val());
            $('#txtPERReferencia').val($('#HIDPER_referencia').val());
            $('#txtPEREMSiglas').val($('#HIDPER_siglas').val());
            $('#txtPEREMNombre').val($('#HIDPER_nombre_empresa').val());
            $('#txtPEREMObjSocial').val($('#HIDPER_objeto_social').val());
            $('#txtPEREMGerente').val($('#HIDPER_nombre_gerente').val());
            $('#txtPERCLNombre').val($('#HIDPER_nombre').val());
            $('#txtPERCLLugarNac').val($('#HIDPER_lugar_nacimiento').val());
            $('#txtPERCLProfesion').val($('#HIDPER_profesion').val());
            if(parseInt($('#HIDPER_tipo_doc').val()) == 1)
            {
                $("#rbPERCLTipoDoc0").prop('checked', false);
                $("#rbPERCLTipoDoc1").prop('checked', true);
            }
            else
            {
                $("#rbPERCLTipoDoc1").prop('checked', false);
                $("#rbPERCLTipoDoc0").prop('checked', true);
            }
            if(parseInt($('#HIDPER_sexo').val()) == 1)
            {
                $("#rbPERCLGenero0").prop('checked', false);
                $("#rbPERCLGenero1").prop('checked', true);
            }
            else
            {
                $("#rbPERCLGenero1").prop('checked', false);
                $("#rbPERCLGenero0").prop('checked', true);
            }
            $('#txtPERCLVencPass').val($('#HIDPER_venc_pas').val());
            $('#txtPERCLTarjCred').val($('#HIDPER_tarj_cred').val());
            $('#cbMonth').val($('#HIDPER_venc_tarj_month').val());
            $('#cbYear').val($('#HIDPER_venc_tarj_year').val());
        }

        function ResetForm()
        {
            $("#rbPERTipo0").prop('disabled', false);
            $("#rbPERTipo1").prop('disabled', false);

            //$("#rbPERTipo1").prop('checked', false);
            //$("#rbPERTipo0").prop('checked', true);

            SetPerfilTab();

            $('#cbMoneda').val(0);
            $('#cbCuentaComi').val(0);
            $('#cbDescuento').val(0);
            $('#txtPERClave').val('');
            $('#txtPERClave').prop('disabled', false);
            $('#txtPERDireccion').val('');
            $('#txtPERFechaNac').val('');
            $('#txtPERPrecioEsp').val('<%=String.Format("{0:N2}", 0) %>');
            $('#txtPERCLIdentificacion').val('');
            $('#txtPERIdentidadFiscal').val('');
            
            $("#cbPERVIP").prop('checked', false);

            $('#txtPEREmail').val('');
            $('#txtPERLocalidad').val('');
            $('#txtPERCiudad').val('');
            $('#txtPERCodPostal').val('');
            $('#txtPERProvincia').val('');
            $('#hidobserv').val('');
            $('#txtPERObservaciones').val('');
            $('#cbNacionalidad').val(0);
            $('#cbIdioma').val(0);
            $('#txtPERTelefonos').val('');
            $('#txtPERFax').val('');
            $('#txtPERReferencia').val('');
            $('#txtPEREMSiglas').val('');
            $('#txtPEREMNombre').val('');
            $('#txtPEREMObjSocial').val('');
            $('#txtPEREMGerente').val('');
            $('#txtPERCLNombre').val('');
            $('#txtPERCLLugarNac').val('');
            $('#txtPERCLProfesion').val('');
            
            $("#rbPERCLTipoDoc1").prop('checked', false);
            $("#rbPERCLTipoDoc0").prop('checked', true);

            
            $("#rbPERCLGenero1").prop('checked', false);
            $("#rbPERCLGenero0").prop('checked', true);

            $('#txtPERCLVencPass').val('');
            $('#txtPERCLTarjCred').val('');
            $('#cbMonth').val(<%=DateTime.Now.Month %>);
            $('#cbYear').val(<%=DateTime.Now.Year %>);
        }

        function CancelEdit()
        {
            if (parseInt($('#IdSubElementPER').val()) != 0) {
                $('#IdSubElementPER').val(0);
                ResetForm();
                BotonNuevoPER();
                RefreshGridPER();
            }
            else
            {
                RefreshGridPER();
            }
        }

        function SetPerfilTab()
        {
            if(parseInt($('input[name=rbPERTipo]:checked').val()) == 1)
            {
                $('#PERTabs').tabs("disable", 0);
                $('#PERTabs').tabs("enable", 1);

                $('#PERTabs').tabs("option", "active", 1);

                $('#txtPERIdentidadFiscal').prop('disabled', false);
            }
            else
            {
                $('#PERTabs').tabs("enable", 0);
                $('#PERTabs').tabs("disable", 1);

                $('#PERTabs').tabs("option", "active", 0);

                $('#txtPERIdentidadFiscal').prop('disabled', true);
            }
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=10&fn=' + $("input[name=cbFilPER_nombre]:checked").val() + "&vn=" + $('#txtFilPER_nombre').val()
                    + "&fc=" + $("input[name=cbFilPER_clave_cardex]:checked").val() + "&vc=" + $('#txtFilPER_clave_cardex').val()
                    + "&fd=" + $("input[name=cbFilPER_dni_cif]:checked").val() + "&vd=" + $('#txtFilPER_dni_cif').val()
                    + "&fp=" + $("input[name=cbFilPER_provincia]:checked").val() + "&vp=" + $('#txtFilPER_provincia').val()
                    + "&ft=" + $("input[name=cbFilPER_ciudad]:checked").val() + "&vt=" + $('#txtFilPER_ciudad').val()
                    + "&fl=" + $("input[name=cbFilPER_localidad]:checked").val() + "&vl=" + $('#txtFilPER_localidad').val()
                    + "&fz=" + $("input[name=cbFilPER_zip_code]:checked").val() + "&vz=" + $('#txtFilPER_zip_code').val()
                    + "&fa=" + $("input[name=cbFilPER_id_naci]:checked").val() + "&va=" + $('#cbNacionalidadFilPER').val()
                    + "&ff=" + $("input[name=cbFilPER_fecha_nac]:checked").val() + "&ffm=" + $('#cbDateOpsFilPER').val()
                    + "&vff=" + $('#txtFilPER_fecha_nac').val() + "&vff2=" + $('#txtFilPER_fecha_nac2').val()
                    + "&fv=" + $("input[name=cbFilPER_vip]:checked").val()
                    + "&fg=" + $("input[name=cbFilPER_sexo]:checked").val() + "&vg=" + $('input[name=rbPERFilGenero]:checked').val()
                    + "&el=" + $('#cbEliminado:checked').val()
                    + "&fbd=" + $("input[name=cbFilPER_cumpleanos]:checked").val()
                    + "&vfbd=" + $('#txtFilPER_cumpleanos').val() + "&vfbd2=" + $('#txtFilPER_cumpleanos2').val()
            , '_blank');
        }

        function DlgObservacionesPER()
        {
            $('#dlgObservaciones').dialog('open');
        }

        
    </script>
    
    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgObservaciones").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 220,
                width: 460,
                modal: true,
                buttons: {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $('#hidobserv').val($('#txtPERObservaciones').val());
                        $(this).dialog("close");
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $('#txtPERObservaciones').val($('#hidobserv').val());
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgFiltroPER").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 440,
                width: 480,
                modal: true,
                open: function () {
                    ResetForm();
                }
            });

            $("#SevenMenu").accordion("option", "active", 5);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridPER();

            InitializeComponentsPER();

            RefreshGridPER();

            $('#Loader').css('height', '0px');

            $('#PERTabs').tabs();

            SetPerfilTab();
        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M6';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Perfiles.aspx"><%=L.TIT("Perfiles") %> [1.2]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 750px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">

                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgObservaciones" title="<%=L.LBL("LblGENObservations") %>" style="text-align: center; padding-top: 25px">
                    <input type="hidden" id="hidobserv" value="" />
                    <textarea id="txtPERObservaciones" cols="50" rows="5" ></textarea>
                </div>

                <% /* DLG_FIL_PER */%>

                <div id="dlgFiltroPER" title="<%=L.TIT("Perfiles") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left; white-space: nowrap;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_nombre" name="cbFilPER_nombre" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_nombre" value="" onchange="$('input[name=cbFilPER_nombre]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_clave_cardex" name="cbFilPER_clave_cardex" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblPERClave") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_clave_cardex" value="" onchange="$('input[name=cbFilPER_clave_cardex]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_dni_cif" name="cbFilPER_dni_cif" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKIdentificacion") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_dni_cif" value="" onchange="$('input[name=cbFilPER_dni_cif]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_provincia" name="cbFilPER_provincia" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKProvincia") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_provincia" value="" onchange="$('input[name=cbFilPER_provincia]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_ciudad" name="cbFilPER_ciudad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCiudad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_ciudad" value="" onchange="$('input[name=cbFilPER_ciudad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_localidad" name="cbFilPER_localidad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKLocalidad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_localidad" value="" onchange="$('input[name=cbFilPER_localidad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_zip_code" name="cbFilPER_zip_code" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCodigoPostal") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_zip_code" value="" onchange="$('input[name=cbFilPER_zip_code]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_id_naci" name="cbFilPER_id_naci" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXNacionalidad") %>:
                            </td>
                            <td>
                                <%=cbNacionalidadFilPER %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_vip" name="cbFilPER_vip" value="1" onclick="RefreshGridPER();" />
                            </td>
                            <td>
                                VIP
                            </td>
                            <td>
                                
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_sexo" name="cbFilPER_sexo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENGenero") %>:
                            </td>
                            <td>
                                <input type="radio" id="rbPERFilGenero0" name="rbPERFilGenero" value="0" checked="checked" 
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENMasculino") %></b> <br />
                                <input type="radio" id="rbPERFilGenero1" name="rbPERFilGenero" value="1" 
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENFemenino") %></b>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_fecha_nac" name="cbFilPER_fecha_nac" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKFechaNac") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();").Replace("cbDateOps", "cbDateOpsFilPER") %>
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_fecha_nac" value="" class="eligeFecha" 
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFilPER_fecha_nac2" value="" class="eligeFecha" 
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_cumpleanos" name="cbFilPER_cumpleanos" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENCumpleanos") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_cumpleanos" value="<%=string.Format("{0:d}", DateTime.Today) %>" class="eligeFecha" 
                                    onchange="$('#cbFilPER_cumpleanos').prop('checked', true);" style="width: 100px;" />
                                <br />
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_cumpleanos2" value="<%=string.Format("{0:d}", DateTime.Today) %>" class="eligeFecha" 
                                    onchange="$('#cbFilPER_cumpleanos').prop('checked', true);" style="width: 100px;" />
                            </td>
                        </tr>

                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" id="btnBuscarPER" onclick="RefreshGridPER();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENSearch") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnSalirPER" onclick="$('#dlgFiltroPER').dialog('close');">
                                                    <table>
                                                        <tr>
                                                            <td><img src="img/door-open-in.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        </tr>
                                                    </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Perfiles") %> [1.2]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultPER();RefreshGridPER();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/1-2-perfil-de-clientes-empresas/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HidPerfil"></div>
                </div>

                <br />
                            
                <table style="width: 100%;">
                    <tr>
                        <td style="width: 150px;">

                            <% /* B01 */ %>

                            <table style="width: 150px;">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <input type="radio" id="rbPERTipo0" name="rbPERTipo" value="0" onclick="SetPerfilTab();CancelEdit();" /><b><%=L.LBL("LblGENClientes") %></b> <br />
                                            <input type="radio" id="rbPERTipo1" name="rbPERTipo" value="1" checked="checked" onclick="SetPerfilTab();CancelEdit();" /><b><%=L.LBL("LblGENEmpresas") %></b>
                                        </fieldset>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="hidden" id="IdSubElementPER" value="0" />
                                        <table id="jqgPER"></table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="PERTabs" style="padding: 0px;">
                                            <ul>
                                                <li>
                                                    <a href="#PERClientes">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/user.png" /></td>
                                                                <td><span style="font-size: 7pt;"><%=L.LBL("LblGENClientes") %></span></td>
                                                            </tr>
                                                        </table>
                                                    </a>
                                                </li>
                                                <li>
                                                    <a href="#PEREmpresas">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/building.png" /></td>
                                                                <td><span style="font-size: 7pt;"><%=L.LBL("LblGENEmpresas") %></span></td>
                                                            </tr>
                                                        </table>
                                                    </a>
                                                </li>
                                            </ul>

                                            <div id="PERClientes">

                                                <% /* B02 */ %>

                                                <table style="width: 640px; height: 145px;">
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENName") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtPERCLNombre" value="" style="width: 270px;" />
                                                        </td>
                                                        <td rowspan="4">
                                                            <fieldset>
                                                                <legend><%=L.LBL("LblFDKPERCLTipoDoc") %></legend>
                                                                <input type="radio" id="rbPERCLTipoDoc0" name="rbPERCLTipoDoc" value="0" checked="checked" /><b><%=L.LBL("LblFDKPasaporte") %></b> 
                                                                <input type="radio" id="rbPERCLTipoDoc1" name="rbPERCLTipoDoc" value="1" /><b><%=L.LBL("LblFDKIdentificacion") %></b>
                                                                <br /><br />
                                                                <%=L.LBL("LblGENNumero") %>:<br />
                                                                <input type="text" id="txtPERCLIdentificacion" value="" /><br />
                                                                <%=L.LBL("LblGENVencimiento") %>:<br />
                                                                <input type="text" id="txtPERCLVencPass" value="" class="eligeFecha" /><br />
                                                            </fieldset>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblPERCLLugarNac") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtPERCLLugarNac" value="" style="width: 270px;" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblPERCLProfesion") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtPERCLProfesion" value="" style="width: 270px;" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <%=L.LBL("LblGENGenero") %>
                                                                    </td>
                                                                    <td>
                                                                        <%=L.LBL("LblFDKSTarjCred") %>
                                                                    </td>
                                                                    <td>
                                                                        <%=L.LBL("LblFDKSFechaVencimiento") %>
                                                                    </td>
                                                                </tr>
                                                                <tr>
                                                                    <td>
                                                                        <input type="radio" id="rbPERCLGenero0" name="rbPERCLGenero" value="0" checked="checked" /><b><%=L.LBL("LblGENMasculino") %></b> <br />
                                                                        <input type="radio" id="rbPERCLGenero1" name="rbPERCLGenero" value="1" /><b><%=L.LBL("LblGENFemenino") %></b>
                                                                    </td>
                                                                    <td>
                                                                        <input type="text" id="txtPERCLTarjCred" value="" />
                                                                    </td>
                                                                    <td>
                                                                        <%=Utils.MonthCombo() %> / <%=Utils.YearCombo() %>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>

                                            </div>

                                            <div id="PEREmpresas">

                                                <% /* B03 */ %>

                                                <table style="width: 640px; height: 145px;">
                                                    <tr>
                                                        <td rowspan="4" style="width: 20%;">

                                                        </td>
                                                        <td>
                                                            <%=L.LBL("LblPEREMSiglas") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtPEREMSiglas" value="" style="width: 270px;" />
                                                        </td>
                                                        <td rowspan="4" style="width: 20%;">

                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENName") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtPEREMNombre" value="" style="width: 270px;" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblFDKSRazonSocial") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtPEREMObjSocial" value="" style="width: 270px;" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <%=L.LBL("LblGENGerente") %>:
                                                        </td>
                                                        <td>
                                                            <input type="text" id="txtPEREMGerente" value="" style="width: 270px;" />
                                                        </td>
                                                    </tr>
                                                </table>

                                            </div>

                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <% /* B04 */ %>

                                        <fieldset>
                                            <legend><b><%=L.LBL("LblFDKPERInfoAdic") %></b></legend>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENDireccion") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENTelefono") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENFax") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtPERDireccion" value="" style="width: 350px;" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERTelefonos" value="" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERFax" value="" style="width: 100px;" />
                                                    </td>
                                                </tr>
                                            </table>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENEmail") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblPERIdentFiscal") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENLanguage") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKSEXNacionalidad") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKFechaNac") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtPEREmail" value="" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERIdentidadFiscal" value="" />
                                                    </td>
                                                    <td>
                                                        <%=cbIdioma %>
                                                    </td>
                                                    <td>
                                                        <%=cbNacionalidad %>
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERFechaNac" value="" class="eligeFecha" style="width: 100px;" />
                                                    </td>
                                                </tr>
                                            </table>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblFDKLocalidad") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKProvincia") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKCiudad") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKCodigoPostal") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtPERLocalidad" value="" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERProvincia" value="" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERCiudad" value="" />
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERCodPostal" value="" style="width: 100px;" />
                                                    </td>
                                                </tr>
                                            </table>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <b style="color: maroon;"><%=L.LBL("LblPERClave") %></b>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENMoney") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENAccount") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblFDKSDescuento") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblPERPrecioEsp") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtPERClave" value="" />
                                                    </td>
                                                    <td>
                                                        <%=cbMoneda %>
                                                    </td>
                                                    <td>
                                                        <select name="cbCuentaComi" id="cbCuentaComi" onchange="" style="width: 150px;">
                                                            <option value="0">-</option>
                                                            <%
                                                                foreach (System.Data.DataRow dr in CuentasFDK.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <%=cbDescuento %>
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtPERPrecioEsp" value="<%=String.Format("{0:N2}", 0) %>" style="width: 100px; text-align: right;" />
                                                    </td>
                                                </tr>
                                            </table>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENReference") %>
                                                    </td>
                                                    <td>
                                                        VIP
                                                    </td>
                                                    <td style="width: 300px;"></td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" id="txtPERReferencia" value="" />
                                                    </td>
                                                    <td>
                                                        <input type="checkbox" id="cbPERVIP" name="cbPERVIP" value="1" />
                                                    </td>
                                                    <td></td>
                                                    <td>
                                                        <button type="button" id="btnPERObserv" onclick="DlgObservacionesPER();">
                                                            <table>
                                                                <tr>
                                                                    <td><img src="img/magnifier.png" alt="<%=L.LBL("LblGENObservations") %>" /></td>
                                                                    <td><%=L.LBL("LblGENObservations") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>

                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">

                            <% /* B05 */ %>

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="btnBuscar" onclick="$('#dlgFiltroPER').dialog('open');" >
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/binocular.png" 
                                                                       alt="<%=L.LBL("LblGENSearch") %>" />
                                                                </td>
                                                                <td>
                                                                    <%=L.LBL("LblGENSearch") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnNuevoPER" onclick="CreatePER();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENNew") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnEliminarPER" onclick="DeletePER();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img id="btnEliminarIconPER" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                                </td>
                                                                <td id="btnEliminarTextPER"><%=L.LBL("LblGENDelete") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnGuardarPER" onclick="SavePER();">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnCancelarPER" onclick="CancelPER();">
                                                            <table>
                                                                <tr>
                                                                    <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                                    <td><%=L.LBL("LblGENCancel") %></td>
                                                                </tr>
                                                            </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                            
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

