﻿<% @Import Namespace="Seven.Front.Settings" %>
<% @Import Namespace="Seven.Front.Settings.Globals" %>
<% @Import Namespace="Seven.Front.Settings.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="ServiciosFacturacion.aspx.cs" Inherits="Seven.Front.Settings.ServiciosFacturacion" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.TIT("ServiciosFacturacion") %> [2.3]</title>
    
    <script type="text/javascript">

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /******************************************** Código del Grid #1 - Servicios de Facturación ********************************************************/ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetServFact',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData(id, code, desc, cargo, con1, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServFact',
                data: { "IdCon0": id, "Code": code, "Desc": desc, "Cargo": cargo, "IdCon1": con1, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if (eli == 1) {
                            $('#IdSubElement').val(0);
                            $('#IdSubElement2').val(0);
                            $('#TitSubElement').html('');
                            $('#TitSubElement2').html('');
                            $('#TitSubElement3').html('');
                            BotonDefault();
                            RefreshGrid();

                            BotonDefault2();
                            BotonDefault3();
                            BotonDefault4();
                            $('#TablaGrid2').jqGrid('clearGridData');
                            $('#TablaGrid3').jqGrid('clearGridData');
                            $('#TablaGrid4').jqGrid('clearGridData');

                        }
                        else if(id > 0 || id < 0){
                            BotonDefault();
                            RefreshGrid();
                        }
                        else
                        {
                            $('#IdSubElement').val(res);
                            BotonDefault();
                            RefreshGrid();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {
        
            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: 'local',
                height: 150,
                width: 700,
                colNames: ['Index', '<%=L.LBL("LblGENCode") %>', '<%=L.LBL("LblGENDescription") %>', '<%=L.LBL("LblGENProductionConcept") %>', '<%=L.LBL("LblGENCharge") %>', '<%=L.LBL("LblGENActiveAbbr") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'Code', index: 'Code', width: 10, editable: true, searchoptions:{sopt:ListFindT} },
   		                    { name: 'Desc', index: 'Desc', width: 20, editable: true, searchoptions:{sopt:ListFindT} },
                            { name: 'Con1', index: 'Con1', width: 20, editable: true, search:false, formatter:'select', stype:'select', edittype:'select', editoptions: { <%=ComboConceptos %> } },
                            { name: 'Cargo', index: 'Cargo', width: 10, editable: true, search:false,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' }, 
                                formatoptions: { disabled: true } }, 
                            { name: 'Eli', index: 'Eli', width: 3, search:false, hidden: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (isNaN(lastsel2) && !isNaN(id)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            //$('#TablaGrid').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', lastsel2);

                            var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);

                            $('#IdSubElement').val(id);
                            $('#TitSubElement').html(ret.Code);
                            $('#TitSubElement2').html(ret.Code);
                            $('#TitSubElement3').html('');

                            $('#TablaGrid2').jqGrid('clearGridData');
                            $('#TablaGrid3').jqGrid('clearGridData');
                            $('#TablaGrid4').jqGrid('clearGridData');

                            $('#IdSubElement2').val(0);
                            $('#IdSubElement3').val(0);
                            $('#IdSubElement4').val(0);

                            RefreshGrid2();
                            RefreshGrid4();

                            BotonDefault2();
                            BotonDefault3();
                            BotonDefault4();
                        }
                        else {
                            BotonNuevo();
                        }

                        $('#TablaGrid').jqGrid('editRow', id, true, Events);

                        lastsel2 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        if (isNaN(lastsel2)) {
                            $("#TablaGrid").jqGrid('delRowData', lastsel2);
                            $('#TablaGrid').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid').jqGrid('saveRow', lastsel2);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                        if (!isNaN(id)) {
                            $('#TablaGrid').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#TablaGrid").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIcon').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarText').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIcon').attr("src", "img/cross-script.png");
                        }

                        $('#TablaGrid').jqGrid('setSelection', id);

                        BotonSelect();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#TablaGrid").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    {
                        if (i == 0 && parseInt($('#IdSubElement').val()) == 0) {
                            $('#IdSubElement').val($("#TablaGrid").getCell(rows[i], "Id"));
                        }

                        var status  = $("#TablaGrid").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#TablaGrid").jqGrid('setRowData',rows[i],false, 
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#TablaGrid').jqGrid('setSelection', $('#IdSubElement').val());
                    if (parseInt($('#IdSubElement').val()) != 0) {
                        BotonSelect();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador',
                sortname: 'Code',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl:"Dummy.aspx"
            });

            $("#bsdata").click(function(){ 
                jQuery("#TablaGrid").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function Events(id) {
            $("#" + id + "_Code").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Desc").on('input', function () { BotonGuardar(); });
            $("#" + id + "_Con1").on('change', function () { BotonGuardar(); });
            $("#" + id + "_Cargo").on('change', function () { BotonGuardar(); });
        }

        function EventsNew() {
            var selr = jQuery('#TablaGrid').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_Code").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Desc").on('input', function () { BotonGuardar(); });
            $("#" + selr + "_Con1").on('change', function () { BotonGuardar(); });
            $("#" + selr + "_Cargo").on('change', function () { BotonGuardar(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid()
        {
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "json", datatype: GetData, loadonce: true});
            $("#TablaGrid").trigger("reloadGrid"); 
            $("#TablaGrid").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement').html('');
            $('#TitSubElement2').html('');

            RefreshGrid2();
            RefreshGrid3();
            RefreshGrid4();

            $("#TablaGrid").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0', 'Cargo':'True'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevo();
            EventsNew();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Code').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Cargo:checked').val(), $('#' + id + '_Con1').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData(id, $('#' + id + '_Code').val(), $('#' + id + '_Desc').val(), $('#' + id + '_Cargo').val(), $('#' + id + '_Con1').val(), 1);
                RefreshGrid();
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement(){
	        var id = $("#TablaGrid").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault();
        }

        function BotonDefault() {
            $('#btnNuevo').button('enable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonNuevo() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('enable');
        }

        function BotonSelect() {
            $('#btnNuevo').button('enable');
            var id = $("#TablaGrid").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar').button('enable');
            }
            else {
                $('#btnEliminar').button('disable');
            }
            $('#btnGuardar').button('disable');
            $('#btnCancelar').button('disable');
        }

        function BotonGuardar() {
            $('#btnNuevo').button('disable');
            $('#btnEliminar').button('disable');
            $('#btnGuardar').button('enable');
            $('#btnCancelar').button('enable');
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
	        window.open('Informe.aspx?r=102&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        <% /**************************************** Código del Grid #2 - Monedas de Servicios de Facturación ***************************************************/ %>

        <% /* Función que permite dar formato a una celda del grid como imagen. */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData2() {
            $.ajax({
                url: 'Servicio.svc/GetServFactMoneda',
                data: { "IdCon0": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid2")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid2").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    $('#TitSubElement').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData2(id, mone, precio, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServFactMoneda',
                data: { "IdCon0": $('#IdSubElement').val(), "IdMone": mone, "Precio": precio, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if (eli == 1) {
                            $('#IdSubElement2').val(0);
                            $('#TitSubElement3').val(0);
                            BotonDefault2();
                            RefreshGrid2();
                            BotonDefault3();
                            $('#TablaGrid3').jqGrid('clearGridData');
                        }
                        else if (id > 0 || id < 0) {
                            BotonDefault2();
                            RefreshGrid2();
                            BotonDefault3();
                        }
                        else
                        {
                            $('#IdSubElement2').val(res);
                            BotonDefault2();
                            RefreshGrid2();
                            BotonDefault3();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid2() {
        
            var lastsel22;
            var colMap = {};
            $("#TablaGrid2").jqGrid({
                datatype: 'local',
                height: 100,
                width: 290,
                colNames: ['Index', '', '<%=L.LBL("LblGENMoney") %>', '<%=L.LBL("LblGENPrice") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'IdCon0', index: 'IdCon0', width: 30, editable: false, hidden: true },
   		                    { name: 'IdMone', index: 'IdMone', width: 13, editable: true, search:false, edittype: 'select', editoptions: {<%=ComboMoneda %>}, formatter: 'select' },
                            { name: 'Precio', index: 'Precio', width: 7, editable: true }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {

                        if (isNaN(lastsel22) && !isNaN(id)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            //$('#TablaGrid2').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid2').jqGrid('restoreRow', lastsel22);

                            var ret = jQuery("#TablaGrid2").jqGrid('getRowData', id);

                            $('#IdSubElement2').val(id);
                            $('#TitSubElement3').html('[' + $('#TitSubElement').html() + '] ' + ret.IdMone);

                            $('#TablaGrid3').jqGrid('clearGridData');

                            BotonDefault3();
                            RefreshGrid3();
                        }
                        else {
                            BotonNuevo2();
                        }

                        $('#TablaGrid2').jqGrid('editRow', id, true, Events2);

                        lastsel22 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        if (isNaN(lastsel22)) {
                            $("#TablaGrid2").jqGrid('delRowData', lastsel22);
                            $('#TablaGrid2').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid2').jqGrid('saveRow', lastsel22);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel22*/) {

                        $('#TablaGrid2').jqGrid('setSelection', id);
                    }
                    BotonSelect2();
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid2").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElement2').val()) == 0) {
                            $('#IdSubElement2').val($("#TablaGrid2").getCell(rows[i], "Id"));
                        }
                    }
                    $('#TablaGrid2').jqGrid('setSelection', $('#IdSubElement2').val());
                    if (parseInt($('#IdSubElement2').val()) != 0) {
                        BotonSelect2();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador2',
                sortname: 'Nac',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                editurl:"Dummy.aspx"
            });

        }

        function Events2(id) {
            $("#" + id + "_IdMone").on('change', function () { BotonGuardar2(); });
            $("#" + id + "_Precio").on('input', function () { BotonGuardar2(); });
        }

        function EventsNew2() {
            var selr = jQuery('#TablaGrid2').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_IdMone").on('change', function () { BotonGuardar2(); });
            $("#" + selr + "_Precio").on('input', function () { BotonGuardar2(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid2()
        {
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "json", datatype: GetData2, loadonce: true});
            $("#TablaGrid2").trigger("reloadGrid"); 
            $("#TablaGrid2").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            $("#TablaGrid2").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement2()
        {
            $('#IdSubElement2').val(0);
            $('#TitSubElement3').html('');
            BotonDefault3();
            RefreshGrid3();

            $("#TablaGrid2").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0', 'Precio': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardar2();
            EventsNew2();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_IdMone').val(), $('#' + id + '_Precio').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid2").jqGrid('getRowData',id);
                PutData2(id, $('#' + id + '_IdMone').val(), $('#' + id + '_Precio').val(), 1);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement2(){
	        var id = $("#TablaGrid2").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid2').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault2();
        }

        function BotonDefault2() {
            $('#btnNuevo2').button('enable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonNuevo2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('enable');
        }

        function BotonSelect2() {
            $('#btnNuevo2').button('enable');
            var id = $("#TablaGrid2").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar2').button('enable');
            }
            else {
                $('#btnEliminar2').button('disable');
            }
            $('#btnGuardar2').button('disable');
            $('#btnCancelar2').button('disable');
        }

        function BotonGuardar2() {
            $('#btnNuevo2').button('disable');
            $('#btnEliminar2').button('disable');
            $('#btnGuardar2').button('enable');
            $('#btnCancelar2').button('enable');
        }

        <% /**************************************** Código del Grid #3 - Impuestos de las Monedas de Servicios de Facturación ***************************************************/ %>

        <% /* Función que permite dar formato a una celda del grid como imagen. */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData3() {
            $.ajax({
                url: 'Servicio.svc/GetServFactMonedasImpuesto',
                data: { "IdPre0": $('#IdSubElement2').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement3').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid3")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid3").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    $('#TitSubElement3').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData3(id, imp, incl, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServFactMonedasImpuesto',
                data: { "IdPre0": $('#IdSubElement2').val(), "IdImpu": imp, "Incluido": incl, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault3();
                            RefreshGrid3();
                        }
                        else if(id == 0){
                            BotonDefault3();
                            RefreshGrid3();
                        }
                        else
                        {
                            //$("#TablaGrid3").jqGrid('saveRow', id);
                            //$('#TablaGrid3').jqGrid('editRow', id, true, Events3);
                            BotonDefault3();
                            RefreshGrid3();
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid3() {
        
            var lastsel23;
            var colMap = {};
            $("#TablaGrid3").jqGrid({
                datatype: 'local',
                height: 100,
                width: 290,
                colNames: ['Index', '', '<%=L.LBL("LblGENTax") %>', '<%=L.LBL("LblGENIncluded") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'IdPre0', index: 'IdPre0', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'IdImpu', index: 'IdImpu', width: 13, editable: true, search:false, edittype: 'select', editoptions: {<%=ComboImpuesto %>}, formatter: 'select' },
                            { name: 'Incluido', index: 'Incluido', width: 10, editable: true, search:false, 
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: 'True:False' },
                                formatoptions: { disabled: true }
                                }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {

                        if (isNaN(lastsel23) && !isNaN(id)) {
                            $("#TablaGrid3").jqGrid('delRowData', lastsel23);
                            $('#TablaGrid3').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid3').jqGrid('restoreRow', lastsel23);
                        }
                        else {
                            BotonNuevo3();
                        }

                        $('#TablaGrid3').jqGrid('editRow', id, true, Events3);

                        lastsel23 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        if (isNaN(lastsel23)) {
                            $("#TablaGrid3").jqGrid('delRowData', lastsel23);
                            $('#TablaGrid3').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid3').jqGrid('saveRow', lastsel23);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        $('#TablaGrid3').jqGrid('setSelection', id);
                    }
                    BotonSelect3();
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador2',
                sortname: 'IdImpu',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                editurl:"Dummy.aspx"
            });

        }

        function Events3(id) {
            $("#" + id + "_IdImpu").on('change', function () { BotonGuardar3(); });
            $("#" + id + "_Incluido").on('change', function () { BotonGuardar3(); });
        }

        function EventsNew3() {
            var selr = jQuery('#TablaGrid3').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_IdImpu").on('change', function () { BotonGuardar3(); });
            $("#" + selr + "_Incluido").on('change', function () { BotonGuardar3(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid3()
        {
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "json", datatype: GetData3, loadonce: true});
            $("#TablaGrid3").trigger("reloadGrid"); 
            $("#TablaGrid3").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            $("#TablaGrid3").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement3()
        {
            $("#TablaGrid3").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardar3();
            EventsNew3();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement3(){
	        var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid3").jqGrid('getRowData',id);
                PutData3(id, $('#' + id + '_IdImpu').val(), $('#' + id + '_Incluido:checked').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement3(){
	        var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid3").jqGrid('getRowData',id);
                PutData3(id, $('#' + id + '_IdImpu').val(), $('#' + id + '_Incluido').val(), 1);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement3(){
	        var id = $("#TablaGrid3").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid3').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault3();
        }

        function BotonDefault3() {
            $('#btnNuevo3').button('enable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('disable');
        }

        function BotonNuevo3() {
            $('#btnNuevo3').button('disable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('enable');
        }

        function BotonSelect3() {
            $('#btnNuevo3').button('enable');
            var id = $("#TablaGrid3").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar3').button('enable');
            }
            else {
                $('#btnEliminar3').button('disable');
            }
            $('#btnGuardar3').button('disable');
            $('#btnCancelar3').button('disable');
        }

        function BotonGuardar3() {
            $('#btnNuevo3').button('disable');
            $('#btnEliminar3').button('disable');
            $('#btnGuardar3').button('enable');
            $('#btnCancelar3').button('enable');
        }

        <% /**************************************** Código del Grid #4 - Descuentos de Servicios de Facturación ***************************************************/ %>

        <% /* Función que permite dar formato a una celda del grid como imagen. */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData4() {
            $.ajax({
                url: 'Servicio.svc/GetServFactDescuento',
                data: { "IdCon0": $('#IdSubElement').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#TitSubElement2').css("color", "red");
                },
                success: function (json) {
                    $("#TablaGrid4").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                    var thegrid = $("#TablaGrid4")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid4").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    $('#TitSubElement2').css("color", "green");
                }
            });
        }

        <% /* Función para crear, editar o eliminar los datos hacia el Web Service. */ %>

        function PutData4(id, dcto, eli) {
            $.ajax({
                url: 'Servicio.svc/PutServFactDescuento',
                data: { "IdCon0": $('#IdSubElement').val(), "IdDcto": dcto, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res == 1)
                    {
                        if(eli == 1){
                            BotonDefault4();
                            RefreshGrid4();
                        }
                        else if(id == 0){
                            BotonDefault4();
                            RefreshGrid4();
                        }
                        else
                        {
                            //$("#TablaGrid4").jqGrid('saveRow', id);
                            //$('#TablaGrid4').jqGrid('editRow', id,true,Events4);
                            BotonDefault4();
                            RefreshGrid4();
                        }
                        //$('#dlgInformation').dialog('open');
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid4() {
        
            var lastsel24;
            var colMap = {};
            $("#TablaGrid4").jqGrid({
                datatype: 'local',
                height: 100,
                width: 290,
                colNames: ['Index', '', '<%=L.LBL("LblFDKSDescuento") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'IdCon0', index: 'IdCon0', width: 30, editable: false, hidden: true },
   		                    { name: 'IdDcto', index: 'IdDcto', width: 13, editable: true, search:false, edittype: 'select', editoptions: {<%=ComboDescuentos %>}, formatter: 'select' }
   	                    ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel24*/) {

                        if (isNaN(lastsel24) && !isNaN(id)) {
                            $("#TablaGrid4").jqGrid('delRowData', lastsel24);
                            $('#TablaGrid4').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#TablaGrid4').jqGrid('restoreRow', lastsel24);
                        }
                        else {
                            BotonNuevo4();
                        }

                        $('#TablaGrid4').jqGrid('editRow', id, true, Events4);

                        lastsel24 = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        if (isNaN(lastsel24)) {
                            $("#TablaGrid4").jqGrid('delRowData', lastsel24);
                            $('#TablaGrid4').jqGrid('resetSelection');
                        }
                        else {
                            $('#TablaGrid4').jqGrid('saveRow', lastsel24);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        $('#TablaGrid4').jqGrid('setSelection', id);
                    }
                    BotonSelect4();
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador4',
                sortname: 'IdDcto',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows : true,
                editurl:"Dummy.aspx"
            });

        }

        function Events4(id) {
            $("#" + id + "_IdDcto").on('change', function () { BotonGuardar4(); });
        }

        function EventsNew4() {
            var selr = jQuery('#TablaGrid4').jqGrid('getGridParam', 'selrow');
            $("#" + selr + "_IdDcto").on('change', function () { BotonGuardar4(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid4()
        {
            $("#TablaGrid4").jqGrid("setGridParam", {datatype: "json", datatype: GetData4, loadonce: true});
            $("#TablaGrid4").trigger("reloadGrid"); 
            $("#TablaGrid4").jqGrid("setGridParam", {datatype: "local", loadonce: true});
            $("#TablaGrid4").jqGrid('delRowData', 0);
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateElement4()
        {
            $("#TablaGrid4").jqGrid('addRow',{
                //rowID : "0",
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonGuardar4();
            EventsNew4();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveElement4(){
	        var id = $("#TablaGrid4").jqGrid('getGridParam','selrow');
	        if (id)	{
		        //var ret = $("#TablaGrid4").jqGrid('getRowData',id);
                PutData4(id, $('#' + id + '_IdDcto').val(), 0);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteElement4(){
	        var id = $("#TablaGrid4").jqGrid('getGridParam','selrow');
	        if (id)	{
		        var ret = $("#TablaGrid4").jqGrid('getRowData',id);
                PutData4(id, $('#' + id + '_IdDcto').val(), 1);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelElement4(){
	        var id = $("#TablaGrid4").jqGrid('getGridParam','selrow');
	        if (id)	{
		        $('#TablaGrid4').restoreRow(id);
	        } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
	        }
            BotonDefault4();
        }

        function ResetGrid4()
        {
            $('#IdSubElement').val(0);
            $('#TitSubElement2').html('');
            RefreshGrid4();
        }

        function BotonDefault4() {
            $('#btnNuevo4').button('enable');
            $('#btnEliminar4').button('disable');
            $('#btnGuardar4').button('disable');
            $('#btnCancelar4').button('disable');
        }

        function BotonNuevo4() {
            $('#btnNuevo4').button('disable');
            $('#btnEliminar4').button('disable');
            $('#btnGuardar4').button('disable');
            $('#btnCancelar4').button('enable');
        }

        function BotonSelect4() {
            $('#btnNuevo4').button('enable');
            var id = $("#TablaGrid4").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminar4').button('enable');
            }
            else {
                $('#btnEliminar4').button('disable');
            }
            $('#btnGuardar4').button('disable');
            $('#btnCancelar4').button('disable');
        }

        function BotonGuardar4() {
            $('#btnNuevo4').button('disable');
            $('#btnEliminar4').button('disable');
            $('#btnGuardar4').button('enable');
            $('#btnCancelar4').button('enable');
        }
        
    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog('close');
                    }
                }
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 500,
                modal: true,
                buttons:
                {
                    "<%=L.LBL("LblGENAceptar") %>": function () {
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $("#SFTabs").tabs();

            LoadGrid();
            LoadGrid2();
            LoadGrid3();
            LoadGrid4();

            RefreshGrid();

            BotonDefault();
            BotonDefault2();
            BotonDefault3();
            BotonDefault4();

        });
    </script>

    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table width="100%" style="white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M3';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="ServiciosFacturacion.aspx"><%=L.TIT("ServiciosFacturacion")%> [2.3]</a>
                </td>
                <td width="100%"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center;padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center;padding-top: 25px">
                    
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ServiciosFacturacion")%> [2.3]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefault();RefreshGrid();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk-parametros/2-3-servicios-de-facturaci%C3%B3n/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {    
                %>

                    <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {    
                %>

                    <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />
                            
                <table id="TablaGrid"></table>
                <div id="Paginador" ></div>

                <table width="100%">
                    <tr>
                        <td colspan="4">
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" id="bsdata" value="Search" >
                                            <table>
                                            <tr><td>
                                            <img src="img/binocular.png" 
                                             alt="<%=L.LBL("LblGENSearch") %>" />
                                            </td><td>
                                            <%=L.LBL("LblGENSearch") %>
                                            </td></tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevo" onclick="CreateElement();">
                                            <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td><%=L.LBL("LblGENNew") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminar" onclick="DeleteElement();">
                                            <table><tr><td><img id="btnEliminarIcon" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td id="btnEliminarText"><%=L.LBL("LblGENDelete") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardar" onclick="SaveElement();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelar" onclick="CancelElement();">
                                                <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <div id="SFTabs" style="padding: 0px;">
                    <ul>
                        <li>
                            <a href="#MonTax">
                                <table>
                                    <tr>
                                        <td><img src="img/moneys.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENMoneys") + " / " + L.LBL("LblGENTaxes") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#Discount">
                                <table>
                                    <tr>
                                        <td><img src="img/money--minus.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENDiscounts") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="MonTax">
                        <table width="100%">
                            <tr>
                                <td width="50%">
                                    <fieldset>
                                        <legend><b><%=L.LBL("LblGENMoneys") %> - <span id="TitSubElement"></span></b></legend>

                                        <input type="hidden" id="IdSubElement" value="0" />

                                        <table id="TablaGrid2"></table>

                                        <table width="100%">
                                            <tr>
                                                <td colspan="4">
                                                    <table width="100%">
                                                        <tr>
                                                            <td width="100%"></td>
                                                            <td>
                                                                <button type="button" id="btnNuevo2" onclick="CreateElement2();">
                                                                    <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnEliminar2" onclick="DeleteElement2();">
                                                                    <table><tr><td><img src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnGuardar2" onclick="SaveElement2();">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                </td>
                                                                                <td></td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnCancelar2" onclick="CancelElement2();">
                                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>

                                    </fieldset>
                                </td>
                                <td width="50%">
                                    <fieldset>
                                        <legend><b><%=L.LBL("LblGENTaxes") %> - <span id="TitSubElement3"></span></b></legend>

                                        <input type="hidden" id="IdSubElement2" value="0" />

                                        <table id="TablaGrid3"></table>

                                        <table width="100%">
                                            <tr>
                                                <td colspan="4">
                                                    <table width="100%">
                                                        <tr>
                                                            <td width="100%"></td>
                                                            <td>
                                                                <button type="button" id="btnNuevo3" onclick="CreateElement3();">
                                                                    <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnEliminar3" onclick="DeleteElement3();">
                                                                    <table><tr><td><img src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnGuardar3" onclick="SaveElement3();">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                </td>
                                                                                <td></td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnCancelar3" onclick="CancelElement3();">
                                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>

                                    </fieldset>
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="Discount">
                    
                        <table width="100%">
                            <tr>
                                <td width="25%"></td>
                                <td width="50%">
                                    <fieldset>
                                        <legend><b><%=L.LBL("LblGENDiscounts") %> - <span id="TitSubElement2"></span></b></legend>

                                        <table id="TablaGrid4"></table>

                                        <table width="100%">
                                            <tr>
                                                <td colspan="4">
                                                    <table width="100%">
                                                        <tr>
                                                            <td width="100%"></td>
                                                            <td>
                                                                <button type="button" id="btnCrear4" onclick="CreateElement4();">
                                                                    <table><tr><td><img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnEliminar4" onclick="DeleteElement4();">
                                                                    <table><tr><td><img src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnGuardar4" onclick="SaveElement4();">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                                                </td>
                                                                                <td></td>
                                                                            </tr>
                                                                        </table>
                                                                </button>
                                                            </td>
                                                            <td>
                                                                <button type="button" id="btnCancelar4" onclick="CancelElement4();">
                                                                        <table><tr><td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td><td></td></tr></table>
                                                                </button>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>

                                    </fieldset>
                                </td>
                                <td width="25%"></td>
                            </tr>
                        </table>
                    
                    </div>

                </div>
                       
            </div>
                    
        </div>
                
    </div>

    <% } catch { } %>

</asp:Content>

